<style type="text/css">
        .dual-list .list-group {
            margin-top: 8px;
        }

        .list-left li, .list-right li {
            cursor: pointer;
        }

        .list-arrows {
            padding-top: 100px;
        }

        .list-arrows button {
                margin-bottom: 20px;
        }
</style>

<?php 

$ID = $_REQUEST['id'];
$RowList = get_hospital_details_from_id($DB,$ID);
$UmIds = $RowList['um_id'];

if(empty($UmIds))
{
  $ArrayUmId = array();
}
else {
  $ArrayUmId = explode(",", $UmIds);
} 

?>

<!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Assignment of
        <small>Users</small>
      </h1>
     
    </section>

    <input type="hidden" name="hm_id" id="hm_id" value="<?php echo $ID; ?>">

    <!-- Main content -->
    <section class="content">
      <div class="row">
        
        <div class="dual-list list-left col-md-5">
            <div class="well text-left box box-primary">
                <p style="text-align: center; font-weight: bold; border-bottom: 1px solid #f4f4f4; padding-bottom: 5px;">All Users</p>
                <div class="row">
                    
                    <div class="form-group col-md-6">
                        
                        <select name="all_ut_id" id="all_ut_id" class="form-control select2" style="width: 100%;">

                          <option value="" selected="selected">-- All Users --</option>

                          <?php 

                          $resultsType = get_all_active_user_type($DB);

                          if (count($resultsType) > 0) {
                          foreach ($resultsType as $rowListType) {
                          
                          ?>

                          <option value="<?php echo $rowListType['ut_id']; ?>"><?php echo $rowListType['ut_name']; ?></option>
                          
                          <?php } } ?>

                        </select>
                    </div>

                    <div class="form-group col-md-6">
                        <div class="input-group">
                            <span class="input-group-addon glyphicon glyphicon-search"></span>
                            <input type="text" name="SearchDualList" class="form-control" placeholder="Search" />
                        </div>
                    </div>
                    
                </div>
                
                <ul class="list-group">
                    <?php
                        $ResultsList = get_all_user_master($DB);
                        foreach ($ResultsList as $RowList) {
                        $UTID = $RowList['ut_id'];
                        $UserAddId = $RowList['um_id'];
                        $RowUserType = get_user_type_details_from_id($DB,$UTID);
                        if(!in_array($UserAddId, $ArrayUmId)) { 
                    ?>
                    
                    <li class="list-group-item list_grp_users all_user_diaplay_<?php echo $UTID; ?>" style="margin-bottom: 7px;" data-umid="<?php echo $RowList['um_id']; ?>"><?php echo $RowList['um_name']." (<b>".$RowUserType['ut_name']."</b>)"; ?></li>
                    
                    <?php } } ?>

                </ul>
            </div>
        </div>

        <div class="list-arrows col-md-1 text-center">
            <button class="btn btn-default btn-sm move-left">
                <span class="glyphicon glyphicon-chevron-left"></span>
            </button>

            <button class="btn btn-default btn-sm move-right">
                <span class="glyphicon glyphicon-chevron-right"></span>
            </button>
        </div>

        <div class="dual-list list-right col-md-5">

            <div class="well box box-primary">
            <p style="text-align: center; font-weight: bold; border-bottom: 1px solid #f4f4f4; padding-bottom: 5px;">Selected Users</p>
                <div class="row">
                    <div class="form-group col-md-6">
                        
                        <select name="selected_ut_id" id="selected_ut_id" class="form-control select2" style="width: 100%;">

                          <option value="" selected="selected">-- All Users --</option>

                          <?php 

                          $resultsType = get_all_active_user_type($DB);

                          if (count($resultsType) > 0) {
                          foreach ($resultsType as $rowListType) {
                          
                          ?>

                          <option value="<?php echo $rowListType['ut_id']; ?>"><?php echo $rowListType['ut_name']; ?></option>
                          
                          <?php } } ?>

                        </select>
                    </div>
                    <div class="col-md-6">
                        <div class="input-group">
                            <input type="text" name="SearchDualList" class="form-control" placeholder="Search" />
                            <span class="input-group-addon glyphicon glyphicon-search"></span>
                        </div>
                    </div>
                </div>
                <ul class="list-group user_groups">
                    <?php if(count($ArrayUmId) > 0) {  
                      foreach ($ArrayUmId as $UmId) {
                      $rowUser = get_user_master_details_from_id($DB,$UmId);
                      if(!empty($rowUser)) { 
                      $ut_id = $rowUser['ut_id'];
                      $RowUserType1 = get_user_type_details_from_id($DB,$ut_id); 
                    ?>
                    <li class="list-group-item list_grp_select_users select_user_diaplay_<?php echo $ut_id; ?>" style="margin-bottom: 7px;" data-umid="<?php echo $rowUser['um_id']; ?>""><?php echo $rowUser['um_name']." (<b>".$RowUserType1['ut_name']."</b>)"; ?></li>
                    <?php } } } ?>
                </ul>
            </div>
        </div>
        
        <!-- /.col -->

        <div class="col-md-12" style="float: left; margin-top: 10px;">
          <div class="box-footer">
                <button type="submit" id="submit_user_hospital" class="btn btn-primary">Submit</button>
                <a href="index.php?page=list_hospital"><button type="button" class="btn btn-danger">Cancel</button></a>
                <span class="err_register" style="display: none;"><img src="img/loaderIcon.gif"></span>
                <br />
                <span class="help-block" style="margin-top: 5px; color: red;"></span>
          </div>
        </div>

      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  




