<?php
session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");
?>

<?php

$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$Um_ID = $row_User_Details['um_id'];

$Pid = $_POST['Pid'];
$Case_Patient_Id = base64_decode($Pid);
$Results_Patient = get_single_patient_details_from_id($DB,$Case_Patient_Id);

?>
<div class="box-body">

<div class="col-md-12" style="text-align: right; margin-bottom: 10px;">
  <a href="javascript:void(0)" id="add_vitals_single" title="Add New"><i class="fa fa-fw fa-plus"></i></a>
</div>

        <div class="col-md-12">
          <div class="box">
            
            <input type="hidden" id="pm_pid" name="pm_pid" value="<?php echo $Pid; ?>">
            <input type="hidden" id="pm_id" name="pm_id" value="<?php echo $Results_Patient['pm_id']; ?>">
            <div class="box-body">
              <table class="table" id="example_single_vitals">
                <thead>
                  <tr>
                    <th>T</th>
                    <th>P</th>
                    <th>RR</th>
                    <th>BP</th>
                    <th>SPO2</th>
                    <th>Date</th>
                    <th>Action</th>
                  </tr>
                  </thead>
                  <tbody id="add_table_vitals">
                  <?php 
                      $ResultsCase_Vitals = get_patient_case_vitals($DB,$Results_Patient['pm_id'],$Um_ID);
                      foreach ($ResultsCase_Vitals as $RowCase_Vitals) {

                      $UmId = $RowCase_Vitals['um_id'];
                      $RowEnter = get_user_master_details_from_id($DB,$UmId);

                  ?>
                  
                  <tr id="tr_case_vitals_<?php echo $RowCase_Vitals['tcv_id']; ?>">
                    <td><?php echo $RowCase_Vitals['temp']; ?></td>
                    <td><?php echo $RowCase_Vitals['pres']; ?></td>
                    <td><?php echo $RowCase_Vitals['resp_rate']; ?></td>
                    <td><?php echo $RowCase_Vitals['blood_press']; ?></td>
                    <td><?php echo $RowCase_Vitals['spo2']; ?></td>
                    <td><?php echo date('d-m-Y', strtotime($RowCase_Vitals['tcv_created_date']));  ?></td>
                    <td><a href='javascript:void(0)' id="delete_popup_vitals" data-tcv_id="<?php echo $RowCase_Vitals['tcv_id']; ?>" title="Delete"><i class="fa fa-trash"></i></a></td>
                  </tr>

                  <?php } ?>

                </tbody>
              </table>
            </div>
            
          </div>
        </div>

</div>
