<style type="text/css">
.dataTables_empty
{
  text-align: center;
}
.scrollbar
{
    display: block;
    height: 180px;
    overflow-x: auto;
    border-left: 2px solid #f4f4f4;
    border-bottom: 2px solid #f4f4f4;
    padding-left: 5px;


}

#style-7::-webkit-scrollbar-track
{
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
  border-radius: 10px;
  background-color: #F5F5F5;
}

#style-7::-webkit-scrollbar
{
  width: 6px;
  background-color: #F5F5F5;
}

#style-7::-webkit-scrollbar-thumb
{
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
  background-color: #3c8dbc;
}


::-webkit-scrollbar-track
{
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
  border-radius: 10px;
  background-color: #F5F5F5;
  overflow-x: auto;
}

::-webkit-scrollbar
{
  width: 6px;
  background-color: #F5F5F5;
  overflow-x: auto;
}

::-webkit-scrollbar-thumb
{
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
  background-color: #3c8dbc;
  overflow-x: auto;
}



/*
 *  STYLE 3
 */

</style>

<?php 

$CaseId = base64_decode($_GET['case_id']);
$RowCaseManager = get_single_patient_case_manager_detials($DB,$Case_Patient_Id,$CaseId);

$tca_id = $RowCaseManager['tca_id'];
$Array_tca_id = explode(",", $tca_id);

$tcv_id = $RowCaseManager['tcv_id'];
$Array_tcv_id = explode(",", $tcv_id);

$tcbc_id = $RowCaseManager['tcbc_id'];
$Array_Tcbc_id = explode(",", $tcbc_id);


$tcd_id = $RowCaseManager['tcd_id'];
$Array_Tcd_id = explode(",", $tcd_id);

$tcm_tmm_brand_name = $RowCaseManager['tcm_tmm_brand_name'];
$Array_tcm_tmm_brand_name = explode(",", $tcm_tmm_brand_name);
$CountArray = count($Array_tcm_tmm_brand_name);

$tcm_tmm_type = $RowCaseManager['tcm_tmm_type'];
$Array_tcm_tmm_type = explode(",", $tcm_tmm_type);

$tcm_tmm_strength = $RowCaseManager['tcm_tmm_strength'];
$Array_tcm_tmm_strength = explode(",", $tcm_tmm_strength);

$tcm_tmm_unit = $RowCaseManager['tcm_tmm_unit'];
$Array_tcm_tmm_unit = explode(",", $tcm_tmm_unit);

$tcm_tmm_time = $RowCaseManager['tcm_tmm_time'];
$Array_tcm_tmm_time = explode(",", $tcm_tmm_time);

$tcm_tmm_days = $RowCaseManager['tcm_tmm_days'];
$Array_tcm_tmm_days = explode(",", $tcm_tmm_days);

$tcm_tmm_duration_type = $RowCaseManager['tcm_tmm_duration_type'];
$Array_tcm_tmm_duration_type = explode(",", $tcm_tmm_duration_type);

$tcm_tmm_custom = $RowCaseManager['tcm_tmm_custom'];
$Array_tcm_tmm_custom = explode(",", $tcm_tmm_custom);

$tcm_tmm_template_id = $RowCaseManager['tcm_tmm_template_id'];
$Array_tcm_tmm_template_id = explode(",", $tcm_tmm_template_id);


$Nums_PDF = $RowCaseManager['tcm_pdf'];

?>

<!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Doctor
        <small>Case Manager</small>
      </h1>
    </section>
    
    <!-- Main content -->
    <section class="content">
      <div class="row">
        
        

        <div class="col-md-12">
          <div class="box box-solid">
            
            <div class="box-body">
              <dl>
                
                <?php if(isset($RowCaseManager['tcm_chief_com']) && !empty($RowCaseManager['tcm_chief_com'])) { ?>

                <dt>Chief Complaints</dt>
                <dd style="margin-bottom: 10px;"><?php echo $RowCaseManager['tcm_chief_com']; ?></dd>

                <?php } ?>


                <?php if(isset($RowCaseManager['tcm_assessment_notes']) && !empty($RowCaseManager['tcm_assessment_notes'])) { ?>

                <dt>Assessment Notes</dt>
                <dd style="margin-bottom: 10px;"><?php echo $RowCaseManager['tcm_assessment_notes']; ?></dd>
                
                <?php } ?>

                <?php if(isset($RowCaseManager['tcm_history_pre_illness']) && !empty($RowCaseManager['tcm_history_pre_illness'])) { ?>

                <dt>History of Present Illness</dt>
                <dd style="margin-bottom: 10px;"><?php echo $RowCaseManager['tcm_history_pre_illness']; ?></dd>
                
                <?php } ?>

                <?php if(isset($RowCaseManager['tcm_pre_evevnt']) && !empty($RowCaseManager['tcm_pre_evevnt'])) { ?>

                <dt>Precipitating Event</dt>
                <dd style="margin-bottom: 10px;"><?php echo $RowCaseManager['tcm_pre_evevnt']; ?></dd>
                
                <?php } ?>

                <?php if(isset($RowCaseManager['tcm_history']) && !empty($RowCaseManager['tcm_history'])) { ?>

                <dt>History</dt>
                <dd style="margin-bottom: 10px;"><?php echo $RowCaseManager['tcm_history']; ?></dd>
                
                <?php } ?>

                <?php if(isset($RowCaseManager['tcm_permanent_history']) && !empty($RowCaseManager['tcm_permanent_history'])) { ?>

                <dt>Permanent History</dt>
                <dd style="margin-bottom: 10px;"><?php echo $RowCaseManager['tcm_permanent_history']; ?></dd>
                
                <?php } ?>

                <?php if(isset($RowCaseManager['tcm_mse']) && !empty($RowCaseManager['tcm_mse'])) { ?>

                <dt>Mental Status Examinations</dt>
                <dd style="margin-bottom: 10px;"><?php echo $RowCaseManager['tcm_mse']; ?></dd>
                
                <?php } ?>

                <?php if(isset($RowCaseManager['tcm_pas']) && !empty($RowCaseManager['tcm_pas'])) { ?>

                <dt>Psychiatric Assessment Scales</dt>
                <dd style="margin-bottom: 10px;"><?php echo $RowCaseManager['tcm_pas']; ?></dd>
                
                <?php } ?>


                <?php 
                    $get_row_data = get_lab_tbl_row_date_data_historcial($DB,$Results_Patient['pm_pid']);
                    if(count($get_row_data) > 0) {
                    
                ?>  

                <dt>Lab Report</dt>
                
                 <dd style="margin-bottom: 10px; margin-left: 10px;">

                  <?php 

                    foreach ($get_row_data as $get_row_res) {
                    $date = date('d/m/Y', strtotime($get_row_res['tolv_date']));;
                    $time1 = $get_row_res['tolv_time'];
                    $time = date('h:i A', strtotime($time1));
                    $lab_val_id = $get_row_res['tolv_id'];

                  ?>

                  <b><?php echo $date." ".$time;?></b> - 

                  <?php 

                    $get_row_labP = get_lab_para_value_from_tolv_id($DB,$lab_val_id);
                    foreach ($get_row_labP as $RowDataLabP) {

                    $MainTolpId = $RowDataLabP['tolp_id']; 
                    $RowMainPara = get_single_parameter_name_by_id_historcial($DB,$MainTolpId)  
                  
                  ?>
                    <b style="font-size: 12px;"><?php echo $RowMainPara['tolp_parameter_name'] ?>: </b><?php echo $RowDataLabP['tolpv_value']; ?>,&nbsp;&nbsp;
                  <?php } ?>

                  <br />
                
                  <?php } ?>    

                
                </dd>

                <?php } ?>


                <?php 
                    $ResultsCase_Allergies = get_patient_case_allergies($DB,$Results_Patient['pm_id'],$Um_ID);

                    if(count($ResultsCase_Allergies) > 0) {
                ?>

                <dt>Allergies</dt>
                
                    
                <dd style="margin-bottom: 10px; margin-left: 10px;">
                  <?php foreach ($ResultsCase_Allergies as $RowCase_Allergies) {

                    $UmId = $RowCase_Allergies['um_id'];
                    $RowEnter = get_user_master_details_from_id($DB,$UmId);
                  ?>
                    <b style="font-size: 12px;"><?php echo $RowCase_Allergies['type'] ?></b> Recorded by <b style="font-size: 12px;"><?php echo $RowEnter['um_name']; ?></b>
                    <br />
                  <?php } ?>  
                </dd>
                
                <?php } ?>

                <?php if(isset($tcv_id) && !empty($tcv_id)) { ?>

                <dt>Vitals</dt>
                
                    
                <dd style="margin-bottom: 10px; margin-left: 10px;">
                  <?php foreach ($Array_tcv_id as $RowTcvId) { 
                      $RowSingleVitals = get_single_case_vitals_id($DB,$RowTcvId);
                      $CreateBy = $RowSingleVitals['tcv_created_by']; 
                  ?>
                    <b>T: </b><?php echo $RowSingleVitals['temp'] ?>&nbsp;&nbsp;
                    <b>P: </b><?php echo $RowSingleVitals['pres'] ?>&nbsp;&nbsp;
                    <b>RR: </b><?php echo $RowSingleVitals['resp_rate'] ?>&nbsp;&nbsp;
                    <b>BP: </b><?php echo $RowSingleVitals['blood_press'] ?>&nbsp;&nbsp;
                    <b>SpO2: </b><?php echo $RowSingleVitals['spo2'] ?>&nbsp;&nbsp;
                    <br />
                  <?php } ?>  
                </dd>
                
                <?php } ?>

                <?php if(isset($tcbc_id) && !empty($tcbc_id)) { ?>

                <dt>Body Composition</dt>
                
                    
                <dd style="margin-bottom: 10px; margin-left: 10px;">
                  <?php foreach ($Array_Tcbc_id as $RowTcbcId) { 
                      $RowSingleBodyCom = get_single_case_body_cop_id($DB,$RowTcbcId);
                      $CreateBy = $RowSingleBodyCom['tcbc_created_by']; 
                  ?>
                    <b>T: </b><?php echo $RowSingleBodyCom['height'] ?>&nbsp;&nbsp;
                    <b>P: </b><?php echo $RowSingleBodyCom['weight'] ?>&nbsp;&nbsp;
                    <b>RR: </b><?php echo $RowSingleBodyCom['bmi'] ?>&nbsp;&nbsp;
                    <b>BP: </b><?php echo $RowSingleBodyCom['bmr'] ?>&nbsp;&nbsp;
                    <br />
                  <?php } ?>  
                </dd>
                
                <?php } ?>

                <?php if(isset($tcd_id) && !empty($tcd_id)) { ?>

                <dt>Diagnosis</dt>
                
                    
                <dd style="margin-bottom: 10px; margin-left: 10px;">
                  <?php foreach ($Array_Tcd_id as $RowTcdId) { 
                        $RowSingleDiagnosis = get_single_case_diagnosis_id($DB,$RowTcdId);
                        $CreateBy = $RowSingleDiagnosis['tcd_created_by'];  
                  ?>
                    <b><?php echo $RowSingleDiagnosis['diagnosis'] ?></b> - 
                    <?php echo $RowSingleDiagnosis['type'] ?>&nbsp;&nbsp;
                    <br />
                  <?php } ?>  
                </dd>
                
                <?php } ?>


                
              </dl>
            </div>
            
            <!-- /.box-body -->
          </div>
          
          <!-- /.box -->
        </div>

        <?php if($CountArray > 0) { ?>

        <div class="col-md-12">
          <div class="box box-solid">
            
            <div class="box-header with-border">
               <h3 class="box-title">Treatment</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body">

            <?php 

            for ($i=0; $i < $CountArray; $i++) { 

                $tmm_brand_name = $Array_tcm_tmm_brand_name[$i];
                $tmm_type = $Array_tcm_tmm_type[$i];
                $tmm_strength = $Array_tcm_tmm_strength[$i];
                $tmm_unit = $Array_tcm_tmm_unit[$i];
                $tmm_time = $Array_tcm_tmm_time[$i];
                if($tmm_time != "None")
                {
                  $tmm_time = " (".$tmm_time.")";
                }
                else {
                    $tmm_time = "";
                }  
                $tmm_days = $Array_tcm_tmm_days[$i];
                $tmm_duration_type = $Array_tcm_tmm_duration_type[$i];
                $tmm_custom = $Array_tcm_tmm_custom[$i];

                if($tcm_tmm_template_id != "")
                {  
                  $tmm_template_id = $Array_tcm_tmm_template_id[$i];
                }
                else {
                  $tmm_template_id = ""; 
                }
                
                $RowTemplate = get_single_custom_template_form_id($DB,$tmm_template_id);

               

                if(!empty($tmm_custom))
                {
                  $tmm_custom = "<br />".$tmm_custom;
                }
                else {
                    $tmm_custom = "";
                }

                
                $Medicine_Name = ucfirst(strtolower($tmm_type))." ".$tmm_brand_name." (".$tmm_strength." ".$tmm_unit.")";

                $Template_Title = $RowTemplate['tmi_title'];
                if(!empty($RowTemplate['tmi_english']))
                {
                 $tmi_english = "<br />".$RowTemplate['tmi_english'];
                } 
                else {
                  $tmi_english ="";                   
                } 

            ?>

            <div class="col-md-12" style="border-bottom: 2px solid #f4f4f4; padding-bottom: 10px; padding-top: 10px;">
               
               <div class="col-md-4">
                  <b><?php echo $Medicine_Name; ?></b>
               </div>

               <div class="col-md-6">
               <b>Remark :</b> <?php echo $Template_Title.$tmm_time.$tmi_english.$tmm_custom; ?>
               </div>

               <div class="col-md-2">
                  <b>Duration: </b><?php echo $tmm_days." ".$tmm_duration_type; ?>
               </div>


            </div>

            <?php } ?>

            </div>

            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>

        <?php } ?>
        
        <div class="col-md-12">
          <div class="box box-solid">
            
            <div class="box-body">
              <dl>
                
                <?php if(isset($RowCaseManager['tcm_investigation']) && !empty($RowCaseManager['tcm_investigation'])) { ?>

                <dt>Investigation</dt>
                <dd style="margin-bottom: 10px;"><?php echo $RowCaseManager['tcm_investigation']; ?></dd>

                <?php } ?>


                <?php if(isset($RowCaseManager['tcm_advice']) && !empty($RowCaseManager['tcm_advice'])) { ?>

                <dt>Advice</dt>
                <dd style="margin-bottom: 10px;"><?php echo $RowCaseManager['tcm_advice']; ?></dd>
                
                <?php } ?>

                <?php if(isset($RowCaseManager['tcm_followup_date']) && !empty($RowCaseManager['tcm_followup_date']) && $RowCaseManager['tcm_followup_date'] != '0000-00-00' && $RowCaseManager['tcm_followup_date'] != '1970-01-01') { ?>

                <dt>Followup Date</dt>
                <dd style="margin-bottom: 10px;"><?php echo  date('d/m/Y', strtotime($RowCaseManager['tcm_followup_date']));
                 ?></dd>
                
                <?php } ?>

                <?php if(isset($RowCaseManager['tcm_followup_advice']) && !empty($RowCaseManager['tcm_followup_advice'])) { ?>

                <dt>Followup Advice</dt>
                <dd style="margin-bottom: 10px;"><?php echo $RowCaseManager['tcm_followup_advice']; ?></dd>
                
                <?php } ?>

              </dl>
            </div>
            
            <!-- /.box-body -->
          </div>
          
          <!-- /.box -->
        </div>

       

        <div class="col-md-12">
          <div class="row">
              <div class="col-md-12" style="text-align: center;">
                <a href="pdf_casemanager.php?p_id=<?php echo $Case_Patient_Id1; ?>&pdf_id=<?php echo $_GET['case_id']; ?>" target="_blank"><button type="button" id="submit_button" class="btn btn-primary">Print</button></a>

                <?php if($RowCaseManager['tcm_created_by'] == $Um_ID) { ?>  
                <a href="edit_case_profile.php?p_id=<?php echo $Case_Patient_Id1; ?>&edit_id=<?php echo $_GET['case_id']; ?>"><button type="button" id="submit_button" class="btn btn-primary">Edit</button></a>
                <?php } ?>

              </div>

          </div>
        </div>


    </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
 
<!-- ./wrapper -->



