<?php

function get_patient_last_id(PDO $DB)
{
  
  $sqlList= "SELECT * FROM ".DB_PREFIX."patient_master ORDER BY pm_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  $count = $qryList->rowCount();

  if($count > 0)
  {
    $RowList = $qryList->fetch();
    $patient_old_id1 = $RowList['seq_no'];
    $patient_new_id = $patient_old_id1+1;
    return  "S".$patient_new_id;
  }  
  else {
    return "S1";
  }
}

function referance_increse_by_pm_id(PDO $DB,$RM_Id)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."reference_master WHERE rm_id = '$RM_Id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  $RowList = $qryList->fetch();
  $rm_total = $RowList['rm_total'];
  $rm_total_New = $rm_total+1;

  $sql_Edit = "UPDATE ".DB_PREFIX."reference_master SET rm_total = :rm_total WHERE rm_id ='$RM_Id'";
  $statement_Edit = $DB->prepare($sql_Edit);
  $statement_Edit->bindValue(":rm_total", $rm_total_New);
  $count = $statement_Edit->execute();

 
}

function get_all_referance_details_id(PDO $DB,$RM_Id)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."reference_master WHERE rm_id = '$RM_Id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}
 
// function get_all_hospital_type(PDO $DB)
// {
//  $sqlListType= "SELECT * FROM ".DB_PREFIX."hospital_type";
//  $qryListType = $DB->prepare($sqlListType);
//  $qryListType->execute();
//  return $qryListType->fetchAll();
// }

// function check_hospital_email(PDO $DB,$Email)
// {
//   $sqlList= "SELECT * FROM ".DB_PREFIX."hospital_master WHERE hm_email = '$Email'";
//   $qryList= $DB->prepare($sqlList);
//   $qryList->execute();
//   $count = $qryList->rowCount();
//   return $count;
  
// }

function get_doctor_datewise_appointment(PDO $DB,$Date,$DocId)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."appointment_master WHERE um_id = '$DocId' AND pam_app_date = '$Date' ORDER BY pam_id DESC";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
 
}


function get_last_visit_appointment(PDO $DB,$Patient_Id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."appointment_master WHERE pm_pid = '$Patient_Id' AND `pam_status`= '3' ORDER BY pam_id DESC LIMIT 1";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
 
}


function get_total_visit_appointment(PDO $DB,$Patient_Id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."appointment_master WHERE pm_pid = '$Patient_Id' AND pam_status='3'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 $count = $qryListType->rowCount();
 return $count;
 
}

function get_all_patient(PDO $DB)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."patient_master WHERE pm_del='0'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
 
}

function get_do_search_doc_wise(PDO $DB,$data)
{
// $sqlList= "SELECT * FROM ".DB_PREFIX."patient_master WHERE (pm_first_name LIKE '%$data%' OR pm_pid LIKE '%$data%' OR pm_contact_no LIKE '%$data%') AND pm_del = 0";  
  $sqlList= "SELECT * FROM ".DB_PREFIX."patient_master WHERE (pm_first_name LIKE '%$data%' OR pm_middle_name LIKE '%$data%' OR pm_last_name LIKE '%$data%' OR pm_pid LIKE '%$data%' OR pm_contact_no LIKE '%$data%') AND pm_del = 0";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}



function update_status(PDO $DB,$status,$app_id)
{
  $sql_Edit = "UPDATE ".DB_PREFIX."appointment_master SET pam_status = :pam_status WHERE pam_id ='$app_id'";
  $statement_Edit = $DB->prepare($sql_Edit);
  $statement_Edit->bindValue(":pam_status", $status);
  $count = $statement_Edit->execute();
}

function get_autoincriment_id(PDO $DB,$Patient_Id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."patient_master WHERE pm_pid = '$Patient_Id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
 
}

function get_appointment(PDO $DB,$APP_ID)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."appointment_master WHERE pam_id = '$APP_ID'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
 
}


function get_doctor_datewise_appointment_from_hmid(PDO $DB,$Date,$DocId,$hm_id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."appointment_master WHERE um_id = '$DocId' AND pam_app_date = '$Date' AND hm_id = '$hm_id' ORDER BY pam_id DESC";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
 
}

function get_patient_appo_status(PDO $DB,$id)
{
  
  if($id == 1)
  {
    return "Arrived";
  }
  else if($id == 2)
  {
    return "Engaged";
  }
  else if($id == 3)
  {
    return "Finished";
  }
  else if($id == 4)
  {
    return "Cancel";
  }
  else {
    return "Scheduled";
  }  

}

function get_doctor_datewise_appointment_from_department(PDO $DB,$Date,$hm_id,$new_doc_id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."appointment_master WHERE um_id In ($new_doc_id) AND pam_app_date = '$Date' AND hm_id = '$hm_id' ORDER BY `".DB_PREFIX."appointment_master`.`pam_app_time` ASC";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
 
}

?>
