<?php

session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");

?>
<?php

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add") {

$admit_days = $_POST['admit_days'];
$tidw_time = $_POST['tidw_time'];
$tidw_sleep = $_POST['tidw_sleep'];
$tidw_bowel = $_POST['tidw_bowel'];
$tidw_bladder = $_POST['tidw_bladder'];
$tidw_appetite = $_POST['tidw_appetite'];
$tidw_ambulation = $_POST['tidw_ambulation'];
$tidw_eting = $_POST['tidw_eting'];


$pm_pid = base64_decode($_POST['pm_pid']);
$pm_id = $_POST['pm_id'];
$ip_id = base64_decode($_POST['ip_id']);


$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$created_by = $row_User_Details['um_id'];

$sql = "INSERT INTO ".$DB_Prefix."inpatient_daily_well(`tidw_days`,`pm_id`,`pm_pid`,`um_id`,`tidw_time`,`tidw_sleep`,`tidw_bowel`,`tidw_bladder`,`tidw_appetite`,`tidw_ambulation`,`tidw_eting`,`ip_id`,`tidw_created_by`) VALUES (:tidw_days,:pm_id,:pm_pid,:um_id,:tidw_time,:tidw_sleep,:tidw_bowel,:tidw_bladder,:tidw_appetite,:tidw_ambulation,:tidw_eting,:ip_id,:tidw_created_by)"; 
$statement = $DB->prepare($sql);
$statement->bindValue(":tidw_days", $admit_days);
$statement->bindValue(":pm_id", $pm_id);
$statement->bindValue(":pm_pid", $pm_pid);
$statement->bindValue(":um_id", $created_by);
$statement->bindValue(":tidw_time", $tidw_time);
$statement->bindValue(":tidw_sleep", $tidw_sleep);
$statement->bindValue(":tidw_bowel", $tidw_bowel);
$statement->bindValue(":tidw_bladder", $tidw_bladder);
$statement->bindValue(":tidw_appetite", $tidw_appetite);
$statement->bindValue(":tidw_ambulation", $tidw_ambulation);
$statement->bindValue(":tidw_eting", $tidw_eting);
$statement->bindValue(":ip_id", $ip_id);
$statement->bindValue(":tidw_created_by", $created_by);
$res = $statement->execute();
$PID = $DB->lastInsertId();
if($res) {
?>
<tr>
   <td><?php echo date('h:i A', strtotime($tidw_time)); ?></td>
   <td><?php echo $tidw_sleep; ?></td>
   <td><?php echo $tidw_bowel; ?></td>
   <td><?php echo $tidw_bladder; ?></td>
   <td><?php echo $tidw_appetite; ?></td>
   <td><?php echo $tidw_ambulation; ?></td>
   <td><?php echo $tidw_eting; ?></td>
   <td><a href="javascript:void(0)" class="select_edit_inpatient_daily_well" ="" title="Edit" data-id="<?php echo $PID; ?>"><i class="fa fa-edit"></i></a></td>
</tr>
<?php }  } ?>

<?php if(isset($_REQUEST['do']) && $_REQUEST['do'] == "delete") {

$delete_tidw_id  = $_POST['delete_tidw_id'];
$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$delete_by = $row_User_Details['um_id'];
$Delete_Allergy = delete_inpatient_daily_well_id($DB,$delete_tidw_id,$delete_by);
echo 1;
} 
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit_pop") {

$ID = $_POST["id"];
//$return_arr=array();
$RsList = get_single_inpatient_daily_well_pid_ipid($DB,$ID);
$return_arr = array("tidw_time" => $RsList['tidw_time'],
                    "tidw_sleep" => $RsList['tidw_sleep'],
                    "tidw_bowel" => $RsList['tidw_bowel'],
                    "tidw_bladder" => $RsList['tidw_bladder'],
                    "tidw_appetite" => $RsList['tidw_appetite'],
                    "tidw_ambulation" => $RsList['tidw_ambulation'],
                    "tidw_eting" => $RsList['tidw_eting'],
                    "tidw_id" => $RsList['tidw_id'],
                    "created_by" => $RsList['tidw_created_by']);

echo json_encode($return_arr);	

}
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit") {

$tidw_id = $_POST['tidw_id'];
$tidw_time = $_POST['tidw_time'];
$tidw_sleep = $_POST['tidw_sleep'];
$tidw_bowel = $_POST['tidw_bowel'];
$tidw_bladder = $_POST['tidw_bladder'];
$tidw_appetite = $_POST['tidw_appetite'];
$tidw_ambulation = $_POST['tidw_ambulation'];
$edit_tidw_um_id = $_POST['edit_tidw_um_id'];

$row_User_Details = get_user_master_details_from_id($DB,$edit_tidw_um_id);

$sql_Image1 = "UPDATE ".$DB_Prefix."inpatient_daily_well SET  tidw_time = :tidw_time, 
                  tidw_sleep = :tidw_sleep,
                  tidw_bowel = :tidw_bowel,
                  tidw_bladder = :tidw_bladder,
                  tidw_appetite = :tidw_appetite,
                  tidw_ambulation = :tidw_ambulation
                  WHERE tidw_id ='$tidw_id'";

   $statement_Image1 = $DB->prepare($sql_Image1);
   $statement_Image1->bindValue(":tidw_time", $tidw_time);
   $statement_Image1->bindValue(":tidw_sleep", $tidw_sleep);
   $statement_Image1->bindValue(":tidw_bowel", $tidw_bowel);
   $statement_Image1->bindValue(":tidw_bladder", $tidw_bladder);
   $statement_Image1->bindValue(":tidw_appetite", $tidw_appetite);
   $statement_Image1->bindValue(":tidw_ambulation", $tidw_ambulation);
   $count = $statement_Image1->execute();

if($count) {

?>
<td><?php echo date('h:i A', strtotime($tidw_time)); ?></td>
<td><?php echo $tidw_sleep; ?></td>
<td><?php echo $tidw_bowel; ?></td>
<td><?php echo $tidw_bladder; ?></td>
<td><?php echo $tidw_appetite; ?></td>
<td><?php echo $tidw_ambulation; ?></td>
<td><a href="javascript:void(0)" class="select_edit_inpatient_daily_well" ="" title="Edit" data-id="<?php echo $tidw_id; ?>"><i class="fa fa-edit"></i></a></td>
<?php } } ?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "past_dia") {
$pm_pid = base64_decode($_POST['id']);

?>

<table class="table " id="example6">
	<thead>
	   <tr>
	      <th>Diagnosis</th>
	      <th>Type</th>
	      <th>Doctor</th>
	      <th>Date</th>
	   </tr>
	</thead>

	<tbody id="add_table_diagnosis">
		<?php 
		   $ResultsCase_Diagnosis = get_patient_case_dia_diagnosis_pid($DB,$pm_pid);
		   if(count($ResultsCase_Diagnosis) > 0) {
		   foreach ($ResultsCase_Diagnosis as $RowCase_Diagnosis) {
		   
		   $UmId = $RowCase_Diagnosis['um_id'];
		   $RowEnter = get_user_master_details_from_id($DB,$UmId);
   
   		?>

   			<tr>
			   <td><?php echo $RowCase_Diagnosis['diagnosis'] ?></td>
			   <td><?php echo $RowCase_Diagnosis['type'] ?></td>
			   <td><?php echo $RowEnter['um_name'] ?></td>
			   <td><?php echo date('d-m-Y', strtotime($RowCase_Diagnosis['tcd_created_date']));?></td>
			</tr>

		<?php } } else { ?>	
			<tr>
                <td colspan="4" style="text-align: center; font-weight: bold;">
                              <em>Sorry!! no any past diagnosis.</em>
                </td> 
            </tr>
		<?php } ?>

	</tbody>
</table>	

<?php } ?>