
<?php
session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");
?>

<?php 

$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$Um_ID = $row_User_Details['um_id'];

$Pid = $_POST['Pid'];
$Case_Patient_Id = base64_decode($Pid);
$Results_Patient = get_single_patient_details_from_id($DB,$Case_Patient_Id);
$Ipid = $_POST['Ipid'];
$Case_InPatient_Id = base64_decode($Ipid);

$RowInPatientinfo = get_single_inpatient_details_from_pid_ipid($DB,$Case_Patient_Id,$Case_InPatient_Id);

$AdmitDate = date('Y-m-d', strtotime($RowInPatientinfo['tapm_admitting_date']));
$AdmitTime = strtotime(date('h:i A', strtotime($RowInPatientinfo['tapm_admitting_time'])));
$ShiftTime =  strtotime(date('h:i A', strtotime($Shift_Time)));

if($AdmitTime >= $ShiftTime)
{
  $AdmitRealDate = date('Y-m-d h:i A', strtotime($RowInPatientinfo['tapm_created_date']));
}

else {
  $AdmitRealDate = date('Y-m-d h:i A', strtotime('-1 day', strtotime($AdmitDate)));
}

$TimeShift = date('Y-m-d h:i A', strtotime($Shift_Time));

date_default_timezone_set('Asia/Kolkata');
//$TodayDateTime =  date('Y-m-d h:i A');
$TodayDateTime = date('Y-m-d h:i A');
$CurruntDate = date('Y-m-d');
$CurruntTime = date('h:i A');

$datediff = time() - strtotime($AdmitRealDate);

if($CurruntDate ==  $AdmitDate)
{
  $AdmitDays = round($datediff / (60 * 60 * 24)) + 1;
}

else {
  $AdmitDays = round($datediff / (60 * 60 * 24));
}

?>
<div class="box-body">
   
    <input type="hidden" id="pm_pid" name="pm_pid" value="<?php echo $Pid; ?>">
    <input type="hidden" id="pm_id" name="pm_id" value="<?php echo $Results_Patient['pm_id']; ?>">
    <input type="hidden" id="ip_id" name="ip_id" value="<?php echo $Ipid; ?>">

    <input type="hidden" id="total_admit_days" name="total_admit_days" value="<?php echo $AdmitDays; ?>">
    
    <input type="hidden" id="admit_days" name="admit_days" value="<?php echo $AdmitDays; ?>">


        <div class="col-md-12 form-group title_validation">
          <div class="col-md-5" style="text-align: right;">
             <a href="javascript:void(0)" <?php if($AdmitDays == 1) { ?> style="display: none;" <?php } ?> class="vital_parameters_pre" data-case-p ="<?php echo $Case_Patient_Id; ?>" data-case-inp= "<?php echo $Case_InPatient_Id; ?>"><i class="fa fa-angle-left" style="font-size:30px;" aria-hidden="true"></i></a>
          </div>
          <div class="col-md-2">
             <input type="text" readonly="" class="form-control" data-case-p ="<?php echo $Case_Patient_Id; ?>" data-case-inp= "<?php echo $Case_InPatient_Id; ?>" id="vital_date" style="border-radius: 25px;text-align: center;background-color: #fff;opacity: 1;" value="<?php echo "Day: ".$AdmitDays; ?>">
          </div>
          <div class="col-md-5">
             <a href="javascript:void(0)" data-case-p ="<?php echo $Case_Patient_Id; ?>" data-case-inp= "<?php echo $Case_InPatient_Id; ?>" style="display: none;" class="vital_parameters_next"><i class="fa fa-angle-right" style="font-size:30px;" aria-hidden="true"></i></a>
          </div>
        
        </div>

        <div class="col-md-12">
          <div class="box">
            
            <div class="box-header with-border">
              <h3 class="box-title col-md-8" style="padding-left: 0px;">Vitals</h3>
              <h6 class="col-md-4" style="padding-right: 7px;text-align: right;">
              <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?><a href="javascript:void(0)" id="add_inpatient_vitals" title="Add New"><i class="fa fa-fw fa-plus"></i></a>
              <?php } ?>  
              </h6>
            </div>
            
            <div class="box-body">
              <table class="table table-bordered" id="vitals">
                <thead>
                  <tr>
                    <th>Time</th>
                    <th>Temp</th>
                    <th>Pulse</th>
                    <th>RR</th>
                    <th>BP</th>
                    <th>SPO2</th>
                    <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
                    <th>#</th>
                    <?php } ?>
                  </tr>
                </thead>
                <tbody id="add_table_inp_vitals">  
                  <?php 
                         $today = date('Y-m-d');
                         $ResultsVitals = get_all_inpatient_vitals_pid_ipid_date($DB,$Case_Patient_Id,$Case_InPatient_Id,$AdmitDays);
                         if(count($ResultsVitals) > 0) {
                         foreach ($ResultsVitals as $RowVitals) { 
                         
                         //$RowSingleDiagnosis = get_single_case_diagnosis_id($DB,$RowTcdId);
                         $CreateBy = $RowVitals['tiv_created_by']; 
                         $RowEnterBy = get_user_master_details_from_id($DB,$CreateBy);
                  ?>

                  <tr id="table_tr_inp_vitals_<?php echo $RowVitals['tiv_id']; ?>">
                    <td><?php echo date('h:i A', strtotime($RowVitals['tiv_time']));; ?></td>
                    <td><?php echo $RowVitals['tiv_temp']; ?></td>
                    <td><?php echo $RowVitals['tiv_pres']; ?></td>
                    <td><?php echo $RowVitals['tiv_resp_rate']; ?></td>
                    <td><?php echo $RowVitals['tiv_blood_press']; ?></td>
                    <td><?php echo $RowVitals['tiv_spo2']; ?></td>
                    <td>
                    <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
                    <a href="javascript:void(0)" class="select_edit_inpatient_vitals" title="Edit" data-id="<?php echo $RowVitals['tiv_id']; ?>"><i class="fa fa-fw fa-edit"></i></a>
                    <?php } ?>
                    </td>
                   
                    
                  </tr>

                  <?php } } else  { ?>
                      <tr class="dataTables_empty">
                             <td colspan="7" style="text-align: center; font-weight: bold;">
                                <em>Sorry!! no any Vitals.</em>
                             </td> 
                      </tr>
                  
                  <?php } ?>

                </tbody>  
                  
              </table>
            </div>
            
          </div>
        </div>



        <div class="col-md-12">
          <div class="box">
            
            <div class="box-header with-border">
              <h3 class="box-title col-md-8" style="padding-left: 0px;">Input/Output Charting</h3>
              <h6 class="col-md-4" style="padding-right: 7px;text-align: right;">
              <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?><a href="javascript:void(0)" id="add_inpatient_in_out_chart" title="Add New"><i class="fa fa-fw fa-plus"></i></a>
              <?php } ?>
              </h6>
            </div>
            
            <div class="box-body">
              <table class="table table-bordered" id="charting">
                <thead>
                  <tr>
                    <th>Time</th>
                    <th>Input</th>
                    <th>Output</th>
                    <th>Drain Output</th>
                    <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
                    <th>#</th>
                    <?php } ?>
                  </tr>
                </thead>
                <tbody id="add_table_inp_in_out_chart">  
                  <?php 
                        $today = date('Y-m-d');
                         $ResultsInoutCharts = get_all_inpatient_in_out_chart_pid_ipid_date($DB,$Case_Patient_Id,$Case_InPatient_Id,$AdmitDays);
                         if(count($ResultsInoutCharts) > 0) {
                         foreach ($ResultsInoutCharts as $RowInoutCharts) { 
                         
                         //$RowSingleDiagnosis = get_single_case_diagnosis_id($DB,$RowTcdId);
                         $CreateBy = $RowInoutCharts['tioc_created_by']; 
                         $RowEnterBy = get_user_master_details_from_id($DB,$CreateBy);
                  ?>

                  <tr id="table_tr_inp_in_out_chart_<?php echo $RowInoutCharts['tioc_id']; ?>">
                    <td><?php echo date('h:i A', strtotime($RowInoutCharts['tioc_time']));; ?></td>
                    <td><?php echo $RowInoutCharts['tioc_temp']; ?></td>
                    <td><?php echo $RowInoutCharts['tioc_output']; ?></td>
                    <td><?php echo $RowInoutCharts['tioc_drain_output']; ?></td>
                    <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
                    <td><a href="javascript:void(0)" class="select_edit_inpatient_in_out_chart" ="" title="Edit" data-id="<?php echo $RowInoutCharts['tioc_id']; ?>"><i class="fa fa-fw fa-edit"></i></a></td>
                    <?php } ?>
                   
                    
                  </tr>
                  <?php } ?>
                  <tr id="">
                      <td><b>Total: </b></td>
                      <td><b><?php echo $TotalInput = get_daily_all_inputchart_value_from_pid_ipid($DB,$Case_Patient_Id,$Case_InPatient_Id,$AdmitDays); ?></b></td>
                      <td><b><?php echo $TotalOut = get_daily_all_outchart_value_from_pid_ipid($DB,$Case_Patient_Id,$Case_InPatient_Id,$AdmitDays); ?></b></td>
                      <td><b><?php echo $TotalDOutput = get_daily_all_drainoutchart_value_from_pid_ipid($DB,$Case_Patient_Id,$Case_InPatient_Id,$AdmitDays); ?></b></td>
                      <td><?php $Daily_Bal = abs($TotalInput) - abs($TotalOut); ?>-</td>
                      <?php 
                          if($Daily_Bal > 0) 
                          {
                            $Classtr = "classtr_pos";
                          }
                          else {
                            $Classtr = "classtr_nag";
                          } 
                          $Cu_Bal = get_total_cumulative_value_from_pid_ipid($DB,$Case_Patient_Id,$Case_InPatient_Id,$AdmitDays);

                          if($Cu_Bal > 0) 
                          {
                            $Classtr = "classtr_pos";
                          }
                          else {
                            $Classtr = "classtr_nag";
                          }

                       ?>
                  </tr>
                  <tr id="">
                      <td><b>Daily Balance: </b></td>
                      <td class="<?php echo $Classtr; ?>"><b><?php echo abs($TotalInput) - abs($TotalOut); ?></b></td>
                      <td>-</td>
                      <td>-</td>
                      <td>-</td>
                  </tr>
                  <tr id="">
                      <td><b>Cumulative Balance: </b></td>
                      <td class="<?php echo $Classtr; ?>"><b><?php echo $Cu_Bal; ?></b></td>
                      <td>-</td>
                      <td>-</td>
                      <td>-</td>
                  </tr>
                  <?php  } else  { ?>
                  <tr class="dataTables_empty">
                      <td colspan="7" style="text-align: center; font-weight: bold;">
                        <em>Sorry!! no any Input/Output Charting.</em>
                      </td> 
                  </tr>
                  
                  <?php } ?>

                </tbody>  
                  
              </table>
            </div>
            
          </div>
        </div>



        <div class="col-md-12">
          <div class="box">
            
            <div class="box-header with-border">
              <h3 class="box-title col-md-8" style="padding-left: 0px;">Daily Wellbeing</h3>
              <h6 class="col-md-4" style="padding-right: 7px;text-align: right;">
              <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?><a href="javascript:void(0)" id="add_inpatient_daily_well" title="Add New"><i class="fa fa-fw fa-plus"></i></a>
              <?php } ?>  
              </h6>
            </div>
            
            <div class="box-body">
              <table class="table table-bordered" id="wellbeing">
                <thead>
                  <tr>
                    <th>Time</th>
                    <th>Sleep</th>
                    <th>Bowel</th>
                    <th>Bladder</th>
                    <th>Appetite</th>
                    <th>Ambulation</th>
                    <th>Eating</th>
                    <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
                    <th>#</th>
                    <?php } ?>
                  </tr>
                </thead>
                <tbody id="add_table_inp_daily_well">  
                  <?php 
                         $today = date('Y-m-d');
                         $ResultsDailyWell = get_all_inpatient_daily_well_pid_ipid_date($DB,$Case_Patient_Id,$Case_InPatient_Id,$AdmitDays);
                         if(count($ResultsDailyWell) > 0) {
                         foreach ($ResultsDailyWell as $RowDailyWell) { 
                         
                         //$RowSingleDiagnosis = get_single_case_diagnosis_id($DB,$RowTcdId);
                         $CreateBy = $RowDailyWell['tidw_created_by']; 
                         $RowEnterBy = get_user_master_details_from_id($DB,$CreateBy);
                  ?>

                  <tr id="table_tr_inp_daily_well_<?php echo $RowDailyWell['tidw_id']; ?>">
                    <td><?php echo date('h:i A', strtotime($RowDailyWell['tidw_time']));; ?></td>
                    <td><?php echo $RowDailyWell['tidw_sleep']; ?></td>
                    <td><?php echo $RowDailyWell['tidw_bowel']; ?></td>
                    <td><?php echo $RowDailyWell['tidw_bladder']; ?></td>
                    <td><?php echo $RowDailyWell['tidw_appetite']; ?></td>
                    <td><?php echo $RowDailyWell['tidw_ambulation']; ?></td>
                    <td><?php echo $RowDailyWell['tidw_eting']; ?></td>
                    <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
                    <td><a href="javascript:void(0)" class="select_edit_inpatient_daily_well" ="" title="Edit" data-id="<?php echo $RowDailyWell['tidw_id']; ?>"><i class="fa fa-fw fa-edit"></i></a></td>
                    <?php } ?>
                    
                  </tr>

                  <?php } } else  { ?>
                      <tr class="dataTables_empty">
                             <td colspan="7" style="text-align: center; font-weight: bold;">
                                <em>Sorry!! no any Daily Wellbeing.</em>
                             </td> 
                      </tr>
                  
                  <?php } ?>

                </tbody>  
                  
              </table>
            </div>
            
          </div>
        </div>
        

        
        <div class="col-md-12">
          <div class="box">
            
            <div class="box-header with-border">
              <h3 class="box-title col-md-8" >Body Composition</h3>
              <h6 class="col-md-4" style="padding-right: 0px;text-align: right;">
              <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
              <a href="javascript:void(0)" id="add_inpatient_body_com" title="Add New"><i class="fa fa-fw fa-plus"></i></a>
              <?php } ?>
              </h6>
            </div>
            
            <div class="box-body">
              <table class="table table-bordered">
                <thead>
                  <tr>
                    <th>Height</th>
                    <th>Weight</th>
                    <th>BMI</th>
                    <th>BMR</th>
                    <th>BSA</th>
                    <th>Date</th>
                    <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
                    <th>#</th>
                    <?php } ?>
                  </tr>
                </thead>
                <tbody id="add_table_inp_body_com">  
                  <?php 
                         $ResultsBodyCom = get_all_inpatient_body_com_pid_ipid($DB,$Case_Patient_Id,$Case_InPatient_Id);
                         if(count($ResultsBodyCom) > 0) {
                         foreach ($ResultsBodyCom as $RowBodyCom) { 
                         
                         //$RowSingleDiagnosis = get_single_case_diagnosis_id($DB,$RowTcdId);
                         $CreateBy = $RowBodyCom['tibc_created_by']; 
                         $RowEnterBy = get_user_master_details_from_id($DB,$CreateBy);
                  ?>

                  <tr id="table_tr_inp_body_com_<?php echo $RowBodyCom['tibc_id']; ?>">
                    <td><?php echo $RowBodyCom['tibc_height']; ?></td>
                    <td><?php echo $RowBodyCom['tibc_weight']; ?></td>
                    <td><?php echo round($RowBodyCom['tibc_bmi'],2); ?></td>
                    <td><?php echo round($RowBodyCom['tibc_bmr'],2); ?></td>
                    <td><?php echo round($RowBodyCom['tibc_bsa'],2); ?></td>
                    <td><?php echo date('d-m-Y', strtotime($RowBodyCom['tibc_created_date']));; ?></td>
                    <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
                    <td><a href="javascript:void(0)" class="select_edit_inpatient_body_com" ="" title="Edit" data-id="<?php echo $RowBodyCom['tibc_id']; ?>"><i class="fa fa-fw fa-edit"></i></a></td>
                    <?php } ?>
                    
                  </tr>

                  <?php } } else  { ?>
                      <tr class="dataTables_empty">
                             <td colspan="6" style="text-align: center; font-weight: bold;">
                                <em>Sorry!! no any Body Composition.</em>
                             </td> 
                      </tr>
                  
                  <?php } ?>

                </tbody>  
                  
              </table>
            </div>
            
          </div>
        </div>

</div>