<style type="text/css">
::-webkit-scrollbar-track
{
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
  border-radius: 10px;
  background-color: #F5F5F5;
  overflow-x: auto;
}

::-webkit-scrollbar
{
  width: 6px;
  background-color: #F5F5F5;
  overflow-x: auto;
}

::-webkit-scrollbar-thumb
{
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
  background-color: #3c8dbc;
  overflow-x: auto;
}

.scrollbar
{
    display: block;
    height: 112px;
    overflow-x: auto;

}

#style-7::-webkit-scrollbar-track
{
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
  border-radius: 10px;
  background-color: #F5F5F5;
}

#style-7::-webkit-scrollbar
{
  width: 6px;
  background-color: #F5F5F5;
}

#style-7::-webkit-scrollbar-thumb
{
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
  background-color: #3c8dbc;
}

/*
 *  STYLE 3
 */

</style>

<!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Master Data 
        <small>Out Patient Data</small>
      </h1>
    </section>
<?php

if(isset($_GET['type']) && $_GET['type'] == 1)
{

  if(isset($_GET['gender']) && !empty($_GET['gender']))
  {
    $Gender = $_GET['gender'];
    $genderlink = '&gender='.$Gender;
  }  
  else{
    $Gender = "";
    $genderlink = '';
  }

  if(isset($_GET['area']) && !empty($_GET['area']))
  {
    $Area = $_GET['area'];
    $arealink = '&area='.$Area;
  }  
  else{
    $Area = "";
    $arealink = '';
  }

  if(isset($_GET['pincode']) && !empty($_GET['pincode']))
  {
    $Pincode = $_GET['pincode'];
    $pincodelink = '&pincode='.$Pincode;
  }  
  else{
    $Pincode = "";
    $pincodelink = '';
  }

  if(isset($_GET['minage']) && !empty($_GET['minage']))
  {
    $MinAge = $_GET['minage'];
    $minagelink = '&minage='.$MinAge;
  }  
  else{
    $MinAge = "";
    $minagelink = '';
  }

  if(isset($_GET['maxage']) && !empty($_GET['maxage']))
  {
    $MaxAge = $_GET['maxage'];
    $maxagelink = '&maxage='.$MaxAge;
  }  
  else{
    $MaxAge = "";
    $maxagelink = '';
  }

  $Row_details = get_search_new_outpatient($DB,$Gender,$Area,$Pincode,$MinAge,$MaxAge);
  $count = count($Row_details);


  $Link = "pdf_patient_label.php?type=1".$genderlink.$arealink.$pincodelink.$minagelink.$maxagelink;

}

else{
  
  $Row_details = get_all_new_outpatient($DB);
  $count = count($Row_details);
  $Link = "pdf_patient_label.php";
  $Gender = "";
  $Area = "";
  $Pincode = "";
  $MinAge = "";
  $MaxAge = "";
}

?>
    
    <!-- Main content -->
    <section class="content">
      <div class="row">        
         <div class="col-md-12">
          <div class="box box-default">
            <div class="box-header with-border">
              <div class="col-md-4">
                <label>Total Patient : <?php echo $count; ?> </label>              
              </div>
              <div class="col-md-2">
               <a href="javascript:;" class="btn btn-primary" id="search_patient_database">Search</a>
               </div>
               
               <div class="col-md-2">

                  <form action="pdf_patient_select_label.php" id="print_select_label1" method="post" target="_blank">
                    <input type="hidden" name="type" value="2">
                    <input type="hidden" name="gender" value="<?php echo $Gender; ?>">
                    <input type="hidden" name="area" value="<?php echo $Area; ?>">
                    <input type="hidden" name="pincode" value="<?php echo $Pincode; ?>">
                    <input type="hidden" name="min_age" value="<?php echo $MinAge; ?>">
                    <input type="hidden" name="max_age" value="<?php echo $MaxAge; ?>">
                    <input type="hidden" name="select_print" class="select_label_print" id="select_label_print">
                   <button type="submit" class="btn btn-primary">Print Selected Label</button>
                </form>

               </div> 
              <?php if(in_array('24', $ArrayModuleMenu)) { ?>

                <div class="col-md-2">
                 <a href="javascript:;" class="btn btn-primary" id="send_sms_database_bulk">Send SMS</a>
                </div>

               <?php } ?>
            </div>
            <div class="box-body">
              <div id="data_tbl" >
                  <table  id="example8" class="table table-bordered table-striped dataTable no-footer" role="grid" aria-describedby="example2_info">
                      <thead>
                      <tr>
                        <th class="no_print">
                          <div class="checkbox_effect" >
                              <label class="label">
                                <input  class="checkbox_finish_db checkbox_finish ckbCheckAll1" name="chkval" type="checkbox" id="ckbCheckAll1" value="" />
                              </label>
                          </div>
                        </th>
                        <th>Sr. No</th>
                        <th>Patient Id</th>
                        <th>Name</th>
                        <th>Address</th>
                        <th>Age</th>
                        <th>Sex</th>
                        <th>Case</th>
                        <th>Last Visit</th>
                        <th>Total Visit</th>             
                        <th>Print</th>                                  
                      </tr>
                      </thead>
                      <tbody>
                      <?php
                         $Counter = 0;
                         if(count($Row_details) > 0){
                         foreach ($Row_details as $Results_patient) { 
                          //print_r($Results_atd);
                            $Counter++;
                            $dob1 = $Results_patient['pm_dob'];
                            $age = (date('Y') - date('Y',strtotime($dob1)));  

                            $Patient_Id = $Results_patient['pm_pid']; 
                            $Results_last_visit = get_last_visit_appointment($DB,$Patient_Id);

                           if($Results_last_visit != "" && $Results_last_visit['pam_app_date'] != "1970-01-01") {

                                $last_app_date = date('d/m/Y', strtotime($Results_last_visit['pam_app_date']));
                            }
                            else {
                                 $last_app_date = "-"; 
                            }
                            $Results_all_visit = get_total_visit_appointment($DB,$Patient_Id);
                      ?>
                      <div id="checkboxlist">
                      <tr>
                        <td class="no_print">
                            <div class="checkbox_effect">
                                <label class="label">
                                    <input  class="checkbox_finish_db checkBoxClass eachcheck" type="checkbox" name="chkval" value="<?php echo $Results_patient['pm_pid'];?>" id="chk1" />
                                </label>
                            </div>
                        </td>
                        <td><?php echo $Counter; ?></td>
                        <td><?php echo $Results_patient['pm_pid']; ?></td>
                        <td>
                          <?php if(in_array('11', $ArrayModuleMenu)) { ?>

                          <a href="<?php echo $CaseManager_Site_Url; ?>patient_profile.php?id=<?php echo base64_encode($Patient_Id); ?>"><?php echo $Results_patient['pm_first_name'].' '.$Results_patient['pm_last_name']; ?></a>

                        <?php } else { ?>
                          <?php echo $Results_patient['pm_first_name'].' '.$Results_patient['pm_last_name']; ?>
                        <?php } ?>
                        
                        </td>
                        <td><b>Area:</b> <?php echo $Results_patient['pm_area']; ?><br />
                          <b>City:</b> <?php echo $Results_patient['pm_city']; ?>
                        </td>
                        <td><?php echo $age;  ?></td>
                        <td><?php echo $Results_patient['pm_gender']; ?></td>
                        <td><?php echo $Results_patient['pm_case_type']; ?></td>
                        <td><?php echo $last_app_date; ?></td>
                        <td><?php echo $Results_all_visit; ?></td>
                        <td><a href="pdf_patient_profile.php?p_id=<?php echo base64_encode($Patient_Id); ?>" target="_blank" title="Print"><i class="fa fa-print" aria-hidden="true"></i></a></td>
                      </tr>
                      </div>
                     <?php } } else { ?>
                        <tr>
                           <td colspan="9" style="text-align: center; font-weight: bold;">
                              <em>Sorry!! you do not have patient.</em>
                           </td> 
                        </tr>
                      <?php } ?>
                     </tbody>
                  </table>
              </div>              
            </div>
            </div>  
              </div>      
    </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
 
<!-- ./wrapper -->
<div class="modal fade" id="modal_send_sms_database_bulk">
          <form  method="post" id="send_sms" action="action/action_out_patient_master.php?do=send_msg">
          <div class="modal-dialog" role="form" style="width: 600px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close btn-danger-close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Send SMS</h4>
              </div>
              <form method="post">
                <div class="box-body">
                    <div class="col-md-12">
                    <label>Message</label>
                    <input type="text"  name="send_bulk_db_txt" id="send_bulk_db_txt" placeholder="Write Message" class="form-control">
                    <input type="hidden" name="chk_val" id="chk_val" value="">
                    </div>
                </div>
                <div class="box-footer">
                      <button type="submit" id="submit_new_d" class="btn btn-primary">Submit</button>
                      <button type="button" data-dismiss="modal" class="btn btn-danger">Cancel</button>
                      <span class="err_register_new" style="display: none;"><img src="../img/loaderIcon.gif"></span>
                      <br>
                      <span class="help-block" style="margin-top: 5px; color: red;"></span>
                    </div>
                </form>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
          </form>
</div>

<div class="modal fade" id="modal_search_paient_database">
          <form  method="post" id="search_form_patient_database">
          <div class="modal-dialog" role="form" style="width: 600px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close btn-danger-close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Search</h4>
              </div>
                <div class="box-body">
                  <div class="form-group col-md-12">
                   <label for="exampleInputPassword1">Gender: </label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                   <label><input type="radio" id="pm_gender1" value="Male" name="popup_search_gender"> Male</label> &nbsp;&nbsp;&nbsp;
                   <label><input type="radio" id="pm_gender2" value="Female" name="popup_search_gender"> Female</label> &nbsp;&nbsp;&nbsp;
                   <label><input type="radio" id="pm_gender3" value="Other" name="popup_search_gender"> Other</label>
                  </div>

                  <div class="input-group col-md-12" style="margin-left: 13px; margin-bottom: 10px;">
                    <label for="exampleInputPassword1">Age</label>
                    <div id="slider-range" class="price-filter-range" style="margin-left: 34px;" name="rangeInput"></div>

                    <input type="number" style="width: 25%;" min=1 max="99" oninput="validity.valid||(value='1');" id="min_price" class="price-range-field form-control" />
                    <input type="number" style="width: 25%; margin-left: 10px;" min=1 max="99" oninput="validity.valid||(value='100');" id="max_price" class="price-range-field form-control" />

                    <div id="slider-range" class="price-filter-range" name="rangeInput"></div>


                  </div>

                  <div class="form-group col-md-12">
                    <label for="exampleInputPassword1">Pincode</label>
                    <input type="text" autocomplete="off" id="popup_search_pincode" name="popup_search_pincode" class="form-control" placeholder="Pincode">
                  </div>

                  <div class="form-group col-md-12">
                    <label for="exampleInputPassword1">Area/City/District/State</label>
                    <input type="text" autocomplete="off" id="popup_search_area" name="popup_search_area" class="form-control" placeholder="Area/City/District/State">
                  </div>
                
                </div>

                <div class="box-footer">
                   <button type="button" id="submit_popup_patient_database" class="btn btn-primary">Search</button>
                   <button type="button" data-dismiss="modal" class="btn btn-danger">Cancel</button>
                   <span class="err_register_new" style="display: none;"><img src="../img/loaderIcon.gif"></span>
                   <br>
                   <span class="help-block" style="margin-top: 5px; color: red;"></span>
                </div>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
          </form>
</div>