<?php
session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");

include("../../function_pharmacy.php");
?>
<?php
	
	if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add_opd"){

			$HosId = $_SESSION['hm_id'];
			///$PharmaId = $_SESSION['pharma_id'];
			$PharmaId = $_SESSION['pharma_id'];
			$email = $_SESSION['admin_user'];

			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];

			$tppi_pid = get_sale_invoice_last_id($DB);

			$ts_id = "";
			$tppo_id = "";
			$pid = $_POST['pid'];
			$date = $_POST['date'];
			$d = date('Y-m-d',strtotime($date));
			$tpsi_sub_total = $_POST['tpsi_sub_total'];
			$tpsi_gst_total = $_POST['tpsi_gst_total'];
			$tpsi_dis_total = $_POST['tpsi_dis_total'];
			$tpsi_main_total = $_POST['tpsi_main_total'];
			$tpsi_rebate_type = $_POST['tpsi_rebate_type'];
			$tpsi_rebate_amount = $_POST['tpsi_rebate_amount'];
			$tpsi_grand_total = $_POST['tpsi_grand_total'];

			$sql = "INSERT INTO ".$DB_Prefix."pha_sales_invoice(`hos_id`, `pharma_id`, `tpsi_pid`, `ts_id`, `pm_pid`, `patient_type`, `tpsi_date`, `tpsi_sub_total`, `tpsi_gst_total`, `tpsi_dis_total`, `tpsi_main_total`, `tpsi_rebate_type`, `tpsi_rebate_amount`, `tpsi_grand_total`,  `tpsi_created_by`) VALUES (:hos_id,:pharma_id,:tpsi_pid, :ts_id,:pm_pid, :patient_type,:tpsi_date,:tpsi_sub_total,:tpsi_gst_total, :tpsi_dis_total, :tpsi_main_total,:tpsi_rebate_type, :tpsi_rebate_amount,:tpsi_grand_total, :tpsi_created_by)"; 

			$statement = $DB->prepare($sql);
			$statement->bindValue(":hos_id", $HosId);
			$statement->bindValue(":pharma_id", $PharmaId);
			$statement->bindValue(":tpsi_pid", $tppi_pid);
			$statement->bindValue(":ts_id", $ts_id);
			$statement->bindValue(":pm_pid", $pid);
			$statement->bindValue(":patient_type", 'OPD');
			$statement->bindValue(":tpsi_date", $d);
			$statement->bindValue(":tpsi_sub_total", $tpsi_sub_total);
			$statement->bindValue(":tpsi_gst_total", $tpsi_gst_total);
			$statement->bindValue(":tpsi_dis_total", $tpsi_dis_total);
			$statement->bindValue(":tpsi_main_total", $tpsi_main_total);
			$statement->bindValue(":tpsi_rebate_type", $tpsi_rebate_type);
			$statement->bindValue(":tpsi_rebate_amount", $tpsi_rebate_amount);
			$statement->bindValue(":tpsi_grand_total", $tpsi_grand_total); 
			$statement->bindValue(":tpsi_created_by", $created_by);
			$res = $statement->execute();
			$TPSI_Id = $DB->lastInsertId();

			$Array_tpm_id = $_POST['tpm_id'];
			$countArray = count($Array_tpm_id);

			$Array_tppiq_sale_batch = $_POST['sale_batch'];
			$Array_tppiq_exp_date = $_POST['tppiq_exp_date'];
			$Array_tppiq_mrp_cost = $_POST['tppiq_mrp_cost'];
			$Array_tppiq_unit_cost = $_POST['tppiq_unit_cost'];
			$Array_tppiq_qty = $_POST['tppiq_qty1'];
			
			$Array_tppiq_gst_rate = $_POST['tppiq_gst_rate'];
			$Array_tppiq_gst_type = $_POST['tppiq_gst_rate_value'];
			$Array_tppiq_gst_amount = $_POST['tppiq_gst_amount'];

			$Array_tppiq_dis_rate = $_POST['tppiq_dis_rate'];
			$Array_tppiq_dis_type = $_POST['tppiq_dis_rate_value'];
			$Array_tppiq_dis_amount = $_POST['tppiq_dis_amount'];

			$Array_tppiq_total = $_POST['tppiq_total'];


			//print_r($Array_tppiq_gst_type);

			for ($i=0; $i<$countArray; $i++) { 
				
				$tpm_id = $Array_tpm_id[$i];

				$tppid_batch = $Array_tppiq_sale_batch[$i];
				$tppiq_exp_date1 = $Array_tppiq_exp_date[$i];
				$tppiq_exp_date = date('Y-m-d',strtotime($tppiq_exp_date1));

				$tppiq_qty = $Array_tppiq_qty[$i];
				$tppiq_mrp_cost = $Array_tppiq_mrp_cost[$i];

				$tppiq_single_unit_cost = $Array_tppiq_unit_cost[$i];

				$tppiq_gst_rate = $Array_tppiq_gst_rate[$i];
				$tppiq_gst_type = $Array_tppiq_gst_type[$i];
				$tppiq_gst_amount = $Array_tppiq_gst_amount[$i];

				$tppiq_dis_rate = $Array_tppiq_dis_rate[$i];
				$tppiq_dis_type = $Array_tppiq_dis_type[$i];
				$tppiq_dis_amount = $Array_tppiq_dis_amount[$i];

				$tppiq_total = $Array_tppiq_total[$i];

				$sql = "INSERT INTO ".$DB_Prefix."pha_sales_invoice_qty(`hos_id`, `pharma_id`, `tpsi_id`, `tpm_id`, `tpmb_id`, `tpsiq_exp_date`, `tpsiq_mrp_cost`, `tpsiq_single_unit_cost`, `tpsiq_qty`, `tpsiq_gst_rate`, `tpsiq_gst_type`, `tpsiq_gst_amount`, `tpsiq_dis_rate`, `tpsiq_dis_type`, `tpsiq_dis_amount`, `tpsiq_total`, `tpsiq_created_by`) VALUES (:hos_id,:pharma_id,:tpsi_id,:tpm_id,:tpmb_id,:tpsiq_exp_date,:tpsiq_mrp_cost,:tpsiq_single_unit_cost,:tpsiq_qty,:tpsiq_gst_rate,:tpsiq_gst_type,:tpsiq_gst_amount,:tpsiq_dis_rate,:tpsiq_dis_type,:tpsiq_dis_amount,:tpsiq_total,:tpsiq_created_by)"; 

				$statement = $DB->prepare($sql);
				$statement->bindValue(":hos_id", $HosId);
				$statement->bindValue(":pharma_id", $PharmaId);
				$statement->bindValue(":tpsi_id", $TPSI_Id);
				$statement->bindValue(":tpm_id", $tpm_id);
				$statement->bindValue(":tpmb_id", $tppid_batch);
				$statement->bindValue(":tpsiq_exp_date", $tppiq_exp_date);
				$statement->bindValue(":tpsiq_mrp_cost", $tppiq_mrp_cost);
				$statement->bindValue(":tpsiq_single_unit_cost", $tppiq_single_unit_cost);
				$statement->bindValue(":tpsiq_qty", $tppiq_qty);
				$statement->bindValue(":tpsiq_gst_rate", $tppiq_gst_rate);
				$statement->bindValue(":tpsiq_gst_type", $tppiq_gst_type);
				$statement->bindValue(":tpsiq_gst_amount", $tppiq_gst_amount);
				$statement->bindValue(":tpsiq_dis_rate", $tppiq_dis_rate);
				$statement->bindValue(":tpsiq_dis_type", $tppiq_dis_type);
				$statement->bindValue(":tpsiq_dis_amount", $tppiq_dis_amount);
				$statement->bindValue(":tpsiq_total", $tppiq_total);
				$statement->bindValue(":tpsiq_created_by", $created_by);
				$res = $statement->execute();

				exit(header("location: ../sale_invoice.php"));
				
			}

	}else if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add_ipd"){

			$HosId = $_SESSION['hm_id'];
			///$PharmaId = $_SESSION['pharma_id'];
			$PharmaId = $_SESSION['pharma_id'];
			$email = $_SESSION['admin_user'];

			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];

			$tppi_pid = get_sale_invoice_last_id($DB);

			$ts_id = "";
			$tppo_id = "";
			$inid = $_POST['inid'];
			$pid = $_POST['pid'];
			$date = $_POST['date'];
			$d = date('Y-m-d',strtotime($date));
			$tpsi_sub_total = $_POST['tpsi_sub_total'];
			$tpsi_gst_total = $_POST['tpsi_gst_total'];
			$tpsi_dis_total = $_POST['tpsi_dis_total'];
			$tpsi_main_total = $_POST['tpsi_main_total'];
			$tpsi_rebate_type = $_POST['tpsi_rebate_type'];
			$tpsi_rebate_amount = $_POST['tpsi_rebate_amount'];
			$tpsi_grand_total = $_POST['tpsi_grand_total'];

			$sql = "INSERT INTO ".$DB_Prefix."pha_sales_invoice(`hos_id`, `pharma_id`, `tpsi_pid`, `ts_id`, `pm_pid`,`in_pid`, `patient_type`, `tpsi_date`, `tpsi_sub_total`, `tpsi_gst_total`, `tpsi_dis_total`, `tpsi_main_total`, `tpsi_rebate_type`, `tpsi_rebate_amount`, `tpsi_grand_total`,  `tpsi_created_by`) VALUES (:hos_id,:pharma_id,:tpsi_pid, :ts_id,:pm_pid,:in_pid, :patient_type,:tpsi_date,:tpsi_sub_total,:tpsi_gst_total, :tpsi_dis_total, :tpsi_main_total,:tpsi_rebate_type, :tpsi_rebate_amount,:tpsi_grand_total, :tpsi_created_by)"; 

			$statement = $DB->prepare($sql);
			$statement->bindValue(":hos_id", $HosId);
			$statement->bindValue(":pharma_id", $PharmaId);
			$statement->bindValue(":tpsi_pid", $tppi_pid);
			$statement->bindValue(":ts_id", $ts_id);
			$statement->bindValue(":pm_pid", $pid);
			$statement->bindValue(":in_pid", $inid);
			$statement->bindValue(":patient_type", 'IPD');
			$statement->bindValue(":tpsi_date", $d);
			$statement->bindValue(":tpsi_sub_total", $tpsi_sub_total);
			$statement->bindValue(":tpsi_gst_total", $tpsi_gst_total);
			$statement->bindValue(":tpsi_dis_total", $tpsi_dis_total);
			$statement->bindValue(":tpsi_main_total", $tpsi_main_total);
			$statement->bindValue(":tpsi_rebate_type", $tpsi_rebate_type);
			$statement->bindValue(":tpsi_rebate_amount", $tpsi_rebate_amount);
			$statement->bindValue(":tpsi_grand_total", $tpsi_grand_total); 
			$statement->bindValue(":tpsi_created_by", $created_by);
			$res = $statement->execute();
			$TPSI_Id = $DB->lastInsertId();

			$Array_tpm_id = $_POST['tpm_id'];
			$countArray = count($Array_tpm_id);

			$Array_tppiq_sale_batch = $_POST['sale_batch'];
			$Array_tppiq_exp_date = $_POST['tppiq_exp_date'];
			$Array_tppiq_mrp_cost = $_POST['tppiq_mrp_cost'];
			$Array_tppiq_unit_cost = $_POST['tppiq_unit_cost'];
			$Array_tppiq_qty = $_POST['tppiq_qty1'];
			
			$Array_tppiq_gst_rate = $_POST['tppiq_gst_rate'];
			$Array_tppiq_gst_type = $_POST['tppiq_gst_rate_value'];
			$Array_tppiq_gst_amount = $_POST['tppiq_gst_amount'];

			$Array_tppiq_dis_rate = $_POST['tppiq_dis_rate'];
			$Array_tppiq_dis_type = $_POST['tppiq_dis_rate_value'];
			$Array_tppiq_dis_amount = $_POST['tppiq_dis_amount'];

			$Array_tppiq_total = $_POST['tppiq_total'];


			//print_r($Array_tppiq_gst_type);

			for ($i=0; $i<$countArray; $i++) { 
				
				$tpm_id = $Array_tpm_id[$i];

				$tppid_batch = $Array_tppiq_sale_batch[$i];
				$tppiq_exp_date1 = $Array_tppiq_exp_date[$i];
				$tppiq_exp_date = date('Y-m-d',strtotime($tppiq_exp_date1));

				$tppiq_qty = $Array_tppiq_qty[$i];
				$tppiq_mrp_cost = $Array_tppiq_mrp_cost[$i];

				$tppiq_single_unit_cost = $Array_tppiq_unit_cost[$i];

				$tppiq_gst_rate = $Array_tppiq_gst_rate[$i];
				$tppiq_gst_type = $Array_tppiq_gst_type[$i];
				$tppiq_gst_amount = $Array_tppiq_gst_amount[$i];

				$tppiq_dis_rate = $Array_tppiq_dis_rate[$i];
				$tppiq_dis_type = $Array_tppiq_dis_type[$i];
				$tppiq_dis_amount = $Array_tppiq_dis_amount[$i];

				$tppiq_total = $Array_tppiq_total[$i];

				$sql = "INSERT INTO ".$DB_Prefix."pha_sales_invoice_qty(`hos_id`, `pharma_id`, `tpsi_id`, `tpm_id`, `tpmb_id`, `tpsiq_exp_date`, `tpsiq_mrp_cost`, `tpsiq_single_unit_cost`, `tpsiq_qty`, `tpsiq_gst_rate`, `tpsiq_gst_type`, `tpsiq_gst_amount`, `tpsiq_dis_rate`, `tpsiq_dis_type`, `tpsiq_dis_amount`, `tpsiq_total`, `tpsiq_created_by`) VALUES (:hos_id,:pharma_id,:tpsi_id,:tpm_id,:tpmb_id,:tpsiq_exp_date,:tpsiq_mrp_cost,:tpsiq_single_unit_cost,:tpsiq_qty,:tpsiq_gst_rate,:tpsiq_gst_type,:tpsiq_gst_amount,:tpsiq_dis_rate,:tpsiq_dis_type,:tpsiq_dis_amount,:tpsiq_total,:tpsiq_created_by)"; 

				$statement = $DB->prepare($sql);
				$statement->bindValue(":hos_id", $HosId);
				$statement->bindValue(":pharma_id", $PharmaId);
				$statement->bindValue(":tpsi_id", $TPSI_Id);
				$statement->bindValue(":tpm_id", $tpm_id);
				$statement->bindValue(":tpmb_id", $tppid_batch);
				$statement->bindValue(":tpsiq_exp_date", $tppiq_exp_date);
				$statement->bindValue(":tpsiq_mrp_cost", $tppiq_mrp_cost);
				$statement->bindValue(":tpsiq_single_unit_cost", $tppiq_single_unit_cost);
				$statement->bindValue(":tpsiq_qty", $tppiq_qty);
				$statement->bindValue(":tpsiq_gst_rate", $tppiq_gst_rate);
				$statement->bindValue(":tpsiq_gst_type", $tppiq_gst_type);
				$statement->bindValue(":tpsiq_gst_amount", $tppiq_gst_amount);
				$statement->bindValue(":tpsiq_dis_rate", $tppiq_dis_rate);
				$statement->bindValue(":tpsiq_dis_type", $tppiq_dis_type);
				$statement->bindValue(":tpsiq_dis_amount", $tppiq_dis_amount);
				$statement->bindValue(":tpsiq_total", $tppiq_total);
				$statement->bindValue(":tpsiq_created_by", $created_by);
				$res = $statement->execute();
				
			}

	}		

?>