<style type="text/css">

.scrollbar
{
    display: block;
    height: 112px;
    overflow-x: auto;

}

#style-7::-webkit-scrollbar-track
{
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
  border-radius: 10px;
  background-color: #F5F5F5;
}

#style-7::-webkit-scrollbar
{
  width: 6px;
  background-color: #F5F5F5;
}

#style-7::-webkit-scrollbar-thumb
{
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
  background-color: #3c8dbc;
}

/*
 *  STYLE 3
 */

</style>
  <?php
  $hos_id = $_SESSION['hm_id'];
              $row_header_mail = get_user_details_from_email($DB,$email);
              $uname = $row_header_mail['um_name'];
              $uid = $row_header_mail['um_id'];
  ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Settings
        <small>Medicine Master</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="javascript:void(0)" id="add_new_medicine" title="Add New"><i class="fa fa-plus"></i>Add New Medicine</a></li>
      </ol>
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-xs-12">
          
          <!-- /.box -->

          <div class="box">
            <!-- /.box-header -->
            <div class="box-body">

              <table id="example2" class="table table-bordered table-striped">
                <thead>
                <tr>
                  <th>Type</th>
                  <th>Brand Name</th>
                  <th>Strength</th>
                  <th>Generic / Company</th>
                  <th>Time</th>
                  <th>ACTION</th>
                </tr>
                </thead>
                <tbody id="medicine">
                
                  <?php 
                 $Counter=0;  
                $ResultsList = get_all_medicine_details($DB,$uid);
                //print_r($ResultsList);
                foreach ($ResultsList as $RowList) {
                  $Counter++;    
                  $mid = $RowList['tmm_id'];

                  if(isset($RowList['tmm_generic']) && !empty($RowList['tmm_generic']))
                  {
                    $Generic = $RowList['tmm_generic'];
                  }
                  else {
                    $Generic = "-";
                  }

                  if(isset($RowList['tmm_company']) && !empty($RowList['tmm_company']))
                  {
                    $Company = $RowList['tmm_company'];
                  }
                  else {
                    $Company = "-";
                  }  

                ?>
                
                <tr  id="tr_<?php echo $mid; ?>">
                  <td><?php echo $RowList['tmm_type']; ?></td>
                  <td><?php echo $RowList['tmm_brand_name']; ?></td>
                  <td><?php echo $RowList['tmm_strength']." ".$RowList['tmm_unit']; ?></td>
                  <td><?php echo "<b>Generic:</b> ".$Generic."<br/ > <b>Company:</b> ".$Company; ?></td>
                  <td><?php echo $RowList['tmm_time']; ?></td>
                  <td><a href="javascript:void(0)" id="edit_medicine" data-id="<?php echo $mid;?>" title="Edit"><i class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href="javascript:void(0)" id="delete_medicine" data-id="<?php echo $mid;?>"  data-text="<?php echo $RowList['tmm_brand_name']; ?>" title="Delete"><i class="fa fa-trash" style="color: red;"></i></a>
                  </td>
                </tr>
                 <?php } ?>
                </tbody>
                
              </table>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  <div class="modal fade" id="modal_add_medicine">         
        <form role="form" id="new_medicine_form_add" action="action/action_new_medicine.php?do=add" method="post">
          <div class="modal-dialog" role="form" style="width: 500px;">
            <div class="modal-content">
                
              <div class="modal-header">
                <button type="button" class="close btn-danger-close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Add New Medicine</h4>
              </div>
              
              
              
                <div class="box-body">
                    
                    <div class="form-group col-md-6 title_validation">
                      <label for="exampleInputEmail1">Type</label>
                        <select class="form-control" id="tmm_type" name="tmm_type">
                          <option value="">--Select Type--</option>
                          <?php 
                            $ResultsMediType = get_all_medicine_type($DB);
                            foreach ($ResultsMediType as $RoWMediType) {
                          ?>
                          <option value="<?php echo $RoWMediType['name']; ?>"><?php echo $RoWMediType['name']; ?></option>    
                          <?php } ?>
                        </select>
                    </div>

                    <div class="form-group col-md-6 title_validation">
                      <label for="exampleInputEmail1">Brand Name</label>
                      <input type="text" class="form-control" id="tmm_brand_name" name="tmm_brand_name" placeholder="Brand Name">
                    </div>
                    

                    <div class="form-group col-md-6 title_validation">
                      <label for="exampleInputEmail1">Strength</label>
                      <input type="text" class="form-control" id="tmm_strength" name="tmm_strength" placeholder="Strength">
                    </div>

                    <div class="form-group col-md-6 title_validation">
                      <label for="exampleInputEmail1">Unit</label>
                      <select name="tmm_unit" id="tmm_unit" class="form-control">
                      <?php 
                         $ResultsMediUnitType = get_all_medicine_unit_type($DB);
                         foreach ($ResultsMediUnitType as $RoWMediUnitType) {
                         ?>
                      <option <?php //if($tmm_unit ==  $RoWMediUnitType['name']) { ?> selected <?php //} ?> value="<?php echo $RoWMediUnitType['name']; ?>"><?php echo $RoWMediUnitType['name']; ?></option>
                      <?php } ?>
                      
                   </select>
                    </div>
                    <div class="form-group col-md-6 title_validation">
                      <label for="exampleInputEmail1">Generic</label>
                      <input type="text" class="form-control" id="tmm_generic" name="tmm_generic" placeholder="Generic">
                    </div>

                    <div class="form-group col-md-6 title_validation">
                      <label for="exampleInputEmail1">Company</label>
                      <input type="text" class="form-control" id="tmm_company" name="tmm_company" placeholder="Company">
                    </div>

                    <div class="form-group col-md-12" style="text-align: center;">
                       <div class="radio">
                         <label><input type="radio" value="Before Food" id="food1" name="tmm_time"> Before Food &nbsp;&nbsp;&nbsp;</label>
                         <label><input type="radio" id="food3" value="After Food" name="tmm_time"> After Food &nbsp;&nbsp;&nbsp;</label>
                         <label><input type="radio" value="None" id="food2" name="tmm_time"> None</label>
                       </div>
                    </div>

                </div>
              
                <div class="box-footer" style="text-align: center;">
                    <button type="submit" id="submit_button_add_medicine" class="btn btn-primary">Submit</button>
                    <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Cancel</button>
                    <span class="err_register" style="display: none;"><img src="../img/loaderIcon.gif"></span>
                    <br />
                    <span class="help-block" style="margin-top: 5px; color: red;"></span>
                
                </div>
              
              
            </div>
            <!-- /.modal-content -->
          </div>
        </form>  
          <!-- /.modal-dialog -->         
</div>

  <div class="modal fade" id="model_edit_medicine">         
          <div class="modal-dialog" role="form" style="width: 500px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Edit Medicine</h4>
              </div>
              <form method="post" id="edit_medi" action="action/action_new_medicine.php?do=edit">
              <input type="hidden" name="m_id" id="m_id">
                 <div class="box-body">
                    
                    <div class="form-group col-md-6 title_validation">
                      <label for="exampleInputEmail1">Type</label>
                        <select  id="edit_tmm_type" name="edit_tmm_type" class="form-control select2 select2-hidden-accessible" style="width: 100%;" tabindex="-1" aria-hidden="true">
                          <option value="">--Select Type--</option>
                          <?php 
                            $ResultsMediType = get_all_medicine_type($DB);
                            foreach ($ResultsMediType as $RoWMediType) {
                          ?>
                          <option value="<?php echo $RoWMediType['name']; ?>"><?php echo $RoWMediType['name']; ?></option>    
                          <?php } ?>
                        </select>
                    </div>

                    <div class="form-group col-md-6 title_validation">
                      <label for="exampleInputEmail1">Brand Name</label>
                      <input type="text" class="form-control" id="edit_tmm_brand_name" name="edit_tmm_brand_name" placeholder="Brand Name">
                    </div>
                    

                    <div class="form-group col-md-6 title_validation">
                      <label for="exampleInputEmail1">Strength</label>
                      <input type="text" class="form-control" id="edit_tmm_strength" name="edit_tmm_strength" placeholder="Strength">
                    </div>

                    <div class="form-group col-md-6 title_validation">
                      <label for="exampleInputEmail1">Unit</label>
                      <select name="edit_tmm_unit" id="edit_tmm_unit" class="form-control">
                        <option value="">--Select Unit--</option>
                      <?php 
                         $ResultsMediUnitType = get_all_medicine_unit_type($DB);
                         foreach ($ResultsMediUnitType as $RoWMediUnitType) {
                         ?>
                      <option value="<?php echo $RoWMediUnitType['name']; ?>"><?php echo $RoWMediUnitType['name']; ?></option>
                      <?php } ?>
                      
                   </select>
                    </div>
                    <div class="form-group col-md-6 title_validation">
                      <label for="exampleInputEmail1">Generic</label>
                      <input type="text" class="form-control" id="edit_tmm_generic" name="edit_tmm_generic" placeholder="Generic">
                    </div>

                    <div class="form-group col-md-6 title_validation">
                      <label for="exampleInputEmail1">Company</label>
                      <input type="text" class="form-control" id="edit_tmm_company" name="edit_tmm_company" placeholder="Company">
                    </div>

                    <div class="form-group col-md-12" style="text-align: center;">
                       <div class="radio">
                         <label><input type="radio" class="medicine_food" value="Before Food" id="edit_food1" name="edit_tmm_time"> Before Food &nbsp;&nbsp;&nbsp;</label>
                         <label><input type="radio" class="medicine_food" id="edit_food3" value="After Food" name="edit_tmm_time"> After Food &nbsp;&nbsp;&nbsp;</label>
                         <label><input type="radio" class="medicine_food" value="None" id="edit_food2" name="edit_tmm_time"> None</label>
                       </div>
                    </div>

                </div>

                <div class="box-footer" style="text-align: center;">
                  <button type="button" id="submit_button_edit_medicine" name="edit_medicine" class="btn btn-primary">Update</button>
                  <span class="err_register" style="display: none;"><img src="../img/loaderIcon.gif"></span>
                  <br />
                  <span class="help-block" style="margin-top: 5px; color: red;"></span>
                </div>                    
                </form>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->    
</div>

<div class="modal fade" id="modal_delete_medicine">
   <div class="modal-dialog" style="width: 400px;">
      <div class="modal-content">
         <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" style="text-align: center;">Delete Template</h4>
         </div>
         <input type="hidden" name="delete_tmm_id" id="delete_tmm_id">
         <div class="modal-body delete_medicine_template_text" style="text-align: center;">
         </div>
         <div class="modal-footer" style="text-align: center;">
            <button type="button" id="submit_button_delete_medicine" class="btn btn-danger">Delete</button>
            <button type="button" class="btn btn-success" data-dismiss="modal">Do not delete</button>
         </div>
      </div>
      <!-- /.modal-content -->
   </div>
   <!-- /.modal-dialog -->
</div>