<?php
date_default_timezone_set("Asia/Kolkata");
$date_new = date("Y-m-d");
$time_new = date("H:i");
?>
 <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Add
        <small>Patient Vaccination</small>
      </h1>
    </section>
    
    <!-- Main content -->
    <section class="content">
      <div class="row">
        <!-- left column -->
        <div class="col-md-12">
          <!-- general form elements -->
          <div class="box box-primary">
            
            <!-- /.box-header -->
            <!-- form start -->
            
 
              <div class="box-body">              
                <div class="form_vacc_patient">
                  <form role="form" id="new_patient_form_add_vacc" action="action/action_patient_master_vacc.php?do=add_vacc" method="post">
                  <input type="hidden" name="vacc_pid" id="vacc_pid">
                    
                    <div class="row">
                      <div class="form-group col-md-3">
                        <label for="exampleInputEmail1">Patient ID</label>
                        <input type="text" id="vacc_pm_pid" name="vacc_pm_pid" class="form-control ui-autocomplete-input" value="" placeholder="Patient ID">

                      </div>

                      <div class="form-group col-md-3">
                        <label for="exampleInputPassword1">Reference ID</label>
                        <input type="text" readonly="" id="vacc_pm_ref_id" name="vacc_pm_ref_id" class="form-control" placeholder="Reference ID">
                      </div>

                      <div class="form-group col-md-3">
                         <label>Blood Group</label>

                      <select name="vacc_pm_blood_group" disabled="" id="vacc_pm_blood_group" class="form-control select2" style="width: 100%;">

                                      <option value="">Select</option>
                                      <option value="A+">A+</option>
                                      <option value="A-">A-</option>
                                      <option value="B+">B+</option>
                                      <option value="B-">B-</option>
                                      <option value="AB+">AB+</option>
                                      <option value="AB-">AB-</option>
                                      <option value="O+">O+</option>
                                      <option value="O-">O-</option>
                      </select>
                        
                      </div>

                      <div class="form-group col-md-3">
                        <label for="exampleInputEmail1">Mediclaim</label>
                        <input type="text" readonly="" name="vacc_pm_mediclaim" id="vacc_pm_mediclaim" class="form-control" placeholder="Mediclaim">

                      </div>
                    </div>

                    <div class="row">
                      <div class="form-group col-md-2">
                        <label for="exampleInputPassword1">First Name*</label>
                        <input type="text" name="vacc_pm_first_name" id="vacc_pm_first_name" class="form-control" placeholder="First Name">
                      </div>
                     
                      <div class="form-group col-md-2">
                       <label for="exampleInputPassword1">Middle Name</label>
                        <input type="text" readonly="" id="vacc_pm_middle_name" name="vacc_pm_middle_name" class="form-control" placeholder="Middle Name">
                      </div>

                      <div class="form-group col-md-2">
                        <label for="exampleInputPassword1">Last Name*</label>
                        <input type="text" readonly="" id="vacc_pm_last_name" name="vacc_pm_last_name" class="form-control" placeholder="Last Name">
                      </div>

                     <div class="form-group col-md-6">
                        <label for="exampleInputPassword1">Remarks</label>
                        <input type="text" readonly="" id="vacc_pm_remarks" name="vacc_pm_remarks" class="form-control" placeholder="Remarks">
                      </div>
                    </div>
                    <div class="row">
                      <div class="form-group col-md-6">
                        <label for="exampleInputPassword1">Gender*</label>
                        <br>
                        <label><input type="radio" onclick="return false;" id="vacc_pm_gender1" value="Male" name="vacc_pm_gender"> Male</label> &nbsp;&nbsp;&nbsp;
                        <label><input type="radio" onclick="return false;" id="vacc_pm_gender2" value="Female" name="vacc_pm_gender"> Female</label> &nbsp;&nbsp;&nbsp;
                        <label><input type="radio" onclick="return false;" id="vacc_pm_gender3" value="Other" name="vacc_pm_gender"> Other</label>
                      </div>

                      <div class="form-group col-md-2">
                        <label for="exampleInputPassword1">Secondary Contact</label>
                        <input type="text" readonly="" class="form-control" name="vacc_pm_second_name" id="vacc_pm_second_name" placeholder="Name">
                      </div>

                      <div class="form-group col-md-2">
                        <label for="exampleInputPassword1"> </label>
                        <input type="text" readonly="" class="form-control" id="vacc_pm_contact_no2" placeholder="Phone Number" name="vacc_pm_contact_no2" style="margin-top: 5px;">
                      </div>
                     
                      <div class="form-group col-md-2">
                       <label for="exampleInputPassword1"> </label>
                        <input type="text" readonly="" id="vacc_pm_relation" name="vacc_pm_relation" class="form-control" placeholder="Relationship" style="margin-top: 5px;">
                      </div>
                    </div>
                    <div class="row">

                      <div class="form-group col-md-4">
                        <label for="exampleInputPassword1"> Date of Birth*</label>
                        <input type="text" readonly="" data-inputmask="'alias': 'dd/mm/yyyy'" data-mask name="vacc_pm_dob" id="vacc_pm_dob" class="form-control datemask" placeholder="">
                      </div>
                     
                      <div class="form-group col-md-2">
                       <label for="exampleInputPassword1">Age *</label>
                        <input type="text" readonly="" id="vacc_pm_age" name="vacc_pm_age" class="form-control" placeholder="Age">
                      </div>  
                      

                    </div>
                    
                    <div class="row">

                      <div class="form-group col-md-3">
                        <label for="exampleInputPassword1">Contact Info*</label>
                        <input type="text" readonly="" class="form-control" name="vacc_pm_contact_no" id="vacc_pm_contact_no" placeholder="Contact Number">
                      </div>
                      <div class="form-group col-md-3">
                        <label for="exampleInputPassword1"></label>
                        <input type="text" readonly="" class="form-control" name="vacc_pm_email" id="vacc_pm_email" placeholder="Email" style="margin-top: 5px;">
                      </div>


                      
                    </div>
                    
                    <div class="row">
                       <div class="form-group col-md-3">
                          <label for="exampleInputPassword1">Referred By</label>
                          <input type="text" readonly="" class="form-control" name="vacc_srch_dr_names" id="vacc_srch_dr_names" placeholder="Doctor">
                        </div>
                        
                        <div class="form-group col-md-3">
                          <label for="exampleInputPassword1"></label>
                          <input type="text" readonly="" class="form-control" name="vacc_other_ref" id="vacc_other_ref" placeholder="Other" style="margin-top: 5px;">
                        </div>

                         <input type="hidden" name="vacc_other_ref_phone" id="vacc_other_ref_phone">

                        
                    </div>


                    <div class="row">
                      <div class="form-group col-md-4">
                        <label for="exampleInputPassword1">Address</label>
                        <input type="text" readonly="" class="form-control" name="vacc_pm_address" id="vacc_pm_address" placeholder="Address">
                      </div>
                      <div class="form-group col-md-2">
                        <label for="exampleInputPassword1"></label>
                        <input type="text" readonly="" class="form-control" name="vacc_pm_city" id="vacc_pm_city" placeholder="City" style="margin-top: 5px;">
                      </div>

                     
                    </div>

                    <div class="row">
                       <div class="form-group col-md-2">
                        <label for="exampleInputPassword1"></label>
                        <input type="text" readonly="" class="form-control"  name="vacc_pm_state" id="vacc_pm_state" placeholder="State" style="margin-top: 5px;">
                        </div>
                        <div class="form-group col-md-2">
                          <label for="exampleInputPassword1"></label>
                          <input type="text" readonly="" class="form-control"  name="vacc_pm_pincode" id="vacc_pm_pincode" placeholder="Pincode" style="margin-top: 5px;">

                        </div>
                        <div class="form-group col-md-2">
                          <label for="exampleInputPassword1"></label>
                          <input type="text" readonly="" class="form-control"  name="vacc_pm_country" id="vacc_pm_country" placeholder="Country" style="margin-top: 5px;">
                        </div>
                    </div>

                    <div class="box-footer">
                      <button type="submit" id="submit_new_patient_add_vacc" class="btn btn-primary">Submit</button>
                      <a href="reception_vacc.php"><button type="button" class="btn btn-danger">Cancel</button></a>
                      <span class="err_register_old" style="display: none;"><img src="../img/loaderIcon.gif"></span>
                      <br />
                      <span class="help-block" style="margin-top: 5px; color: red;"></span>
                    </div>

                  </form>

                </div>

              </div>

          </div>
          <!-- /.box -->

         </div>
        <!--/.col (left) -->
        <!-- right column -->
        
        <!--/.col (right) -->
      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
 
<!-- ./wrapper -->
