
<?php 

function random_num ($len)
{
 $ch = "0123456789";
 $l = strlen ($ch) - 1;
 $str = "";
 for ($i=0; $i < $len; $i++)
 {
     $x = rand (0, $l);
     $str .= $ch[$x];
 }
 return $str;
}

?>

  

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
   
    <section class="content-header">
     <h1>Inpatient <small>Invoice</small></h1>
      <ol class="breadcrumb">
        <li><a href="add_ipd_invoice.php" style="font-size: 20px;"><i class="fa fa-plus"></i>Add Invoice IPD</a></li>        
      </ol>
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-xs-12">
          
          <!-- /.box -->

          <div class="box">
            <!-- /.box-header -->
            <div class="box-body">
              <table class="table table-bordered table-striped table_data">
                <thead>
                <tr>
                  <th>PATIENT ID</th>
                  <th>NAME</th>
                  <th>IN-PATIENT ID</th>
                  <th>INVOICE NUMBER</th>
                  <th>DATE</th>
                  <th>AMOUNT</th>
                  <th>CREATED BY</th>
                  <th>ACTION</th>                 
                </tr>
                </thead>
                <tbody>
                   <?php                
                $out_invoice = get_all_ipd_invoice($DB);
                  foreach ($out_invoice as $out_invoice_res) {
                    $id = $out_invoice_res['im_id'];
                    $pm_id = $out_invoice_res['im_pid'];
                    $um_id = $out_invoice_res['um_id'];
                    $in_pid = $out_invoice_res['in_pid'];
                   $patient_data = get_single_patient_details_from_id($DB,$pm_id);
                   $sal = $patient_data['pm_salutation'];
                   $fname = $patient_data['pm_first_name'];
                   $mname = $patient_data['pm_middle_name'];
                   $lname = $patient_data['pm_last_name'];
                   $pname = $sal." ".$fname." ".$mname." ".$lname;
                   $user_data = get_user_master_details_from_id($DB,$um_id);
                   $invoice_date = $out_invoice_res['im_invoice_date'];
                   $iid = base64_encode($out_invoice_res['im_pid']);
                ?>
                <tr>
                  <td><?php echo $out_invoice_res['im_pid'];?></td>
                  <td><?php echo $pname;?></td>
                  <td><?php echo $in_pid;?></td>
                  <td><?php echo $out_invoice_res['im_invoice_id'];?></td>
                  <td><?php echo date("d/m/Y",strtotime($invoice_date));?></td>
                  <td><?php echo $out_invoice_res['im_grand_total'];?></td>
                  <td><?php echo $user_data['um_name'];?></td>
                  <td><a href="pdf_invoice.php?p_id=<?php echo $id; ?>&id=<?php echo $iid;?>" target="_blank" title="View">View</a>
                      <a href="add_ipd_invoice.php?uid=<?php echo $id;?>&id=<?php echo $iid;?>&action=edit"  title="Edit">Edit</a>
                  </td>
                </tr>
                <?php } ?>
               </tbody>
              </table>
           </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  

<!-- ./wrapper -->