<?php

session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");

?>
<?php

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add") {
   
$diagnosis = $_POST['dia_diagnosis'];
$type = $_POST['dia_type'];

$pm_pid = base64_decode($_POST['pm_pid']);
$pm_id = $_POST['pm_id'];

$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$created_by = $row_User_Details['um_id'];

$sql = "INSERT INTO ".$DB_Prefix."casemanager_diagnosis(`pm_id`,`pm_pid`,`um_id`,`diagnosis`,`type`,`tcd_created_by`) VALUES (:pm_id,:pm_pid,:um_id,:diagnosis,:type,:tcd_created_by)"; 
$statement = $DB->prepare($sql);
$statement->bindValue(":pm_id", $pm_id);
$statement->bindValue(":pm_pid", $pm_pid);
$statement->bindValue(":um_id", $created_by);
$statement->bindValue(":diagnosis", $diagnosis);
$statement->bindValue(":type", $type);
$statement->bindValue(":tcd_created_by", $created_by);
$res = $statement->execute();
$PID = $DB->lastInsertId();
if($res) {
?>
<tr>
   <td><?php echo $diagnosis; ?></td>
   <td><?php echo $type; ?></td>
   <td><?php echo $row_User_Details['um_name'] ?></td>
   <td><?php echo date('d/m/Y'); ?></td>
   <td>
      <div class="checkbox">
         <label><input type="checkbox" value="<?php echo $PID ?>" name="tcd_id[]"></label>
      </div>
   </td>
   <td><a href="javascript:void(0)" d="delete_popup_dia_diagnosis" data-tcd_id="<?php echo $PID; ?>" title="Delete"><i class="fa fa-trash"></i></a></td>
</tr>
<?php } } ?>

<?php if(isset($_REQUEST['do']) && $_REQUEST['do'] == "delete") {

$delete_tcd_id  = $_POST['delete_tcd_id'];
$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$delete_by = $row_User_Details['um_id'];

$Delete_Allergy = delete_patient_case_dia_diagnosis($DB,$delete_tcd_id,$delete_by);
echo 1;

} 
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add_template") {
$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$DocId = $row_User_Details['um_id'];
$Resuluts_template_diag = get_all_out_diagnosis_template_details($DB,$DocId);
foreach ($Resuluts_template_diag as $Row_template_diag) {
?>
<li><a href="javascript:;" data-id="<?php echo $Row_template_diag['todm_id']; ?>" class="select_single_diag_in_template"><?php echo  $Row_template_diag['todm_diagnosis'] ; ?></a></li>
<?php } } ?>


<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "template") {

$ID = $_POST["id"];
//$return_arr=array();
$RsList = get_single_out_chief_diagnosis_template_details($DB,$ID);
$return_arr = array("todm_id" => $RsList['todm_id'],
                    "todm_diagnosis" => $RsList['todm_diagnosis'],
                    "todm_tmtd_id" => $RsList['todm_tmtd_id'],
                    "todm_toam_id" => $RsList['todm_toam_id']);

echo json_encode($return_arr);   

}
?>


<?php

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add_new") {
   
$diagnosis = $_POST['todm_diagnosis'];
$type = $_POST['todm_type'];

$pm_pid = base64_decode($_POST['pm_pid']);
$pm_id = $_POST['pm_id'];

$hm_id = $_SESSION['hm_id'];
$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$created_by = $row_User_Details['um_id'];

$sql = "INSERT INTO ".$DB_Prefix."casemanager_diagnosis(`pm_id`,`pm_pid`,`um_id`,`diagnosis`,`type`,`tcd_created_by`) VALUES (:pm_id,:pm_pid,:um_id,:diagnosis,:type,:tcd_created_by)"; 
$statement = $DB->prepare($sql);
$statement->bindValue(":pm_id", $pm_id);
$statement->bindValue(":pm_pid", $pm_pid);
$statement->bindValue(":um_id", $created_by);
$statement->bindValue(":diagnosis", $diagnosis);
$statement->bindValue(":type", $type);
$statement->bindValue(":tcd_created_by", $created_by);
$res = $statement->execute();
$PID = $DB->lastInsertId();
if($res) {

  if(isset($_POST['todm_id']) && !empty($_POST['todm_id']))
  {
    $row_template_Details = get_single_out_chief_diagnosis_template_details($DB,$_POST['todm_id']);
    $todm_tmtd_id = $row_template_Details['todm_tmtd_id']; 
    $todm_toam_id = $row_template_Details['todm_toam_id'];

      if(!empty($todm_tmtd_id))
      {
        $todm_tmtd_id = $todm_tmtd_id;
      }
      else {
        $todm_tmtd_id = "0"; 
      }

      if(!empty($todm_toam_id))
      {
        $todm_toam_id = $todm_toam_id;
      }
      else {
        $todm_toam_id = "0"; 
      }

  }

  else {

      if(isset($_POST['todm_tmtd_id']) && !empty($_POST['todm_tmtd_id']))
      {

        $todm_tmtd_id = $_POST['todm_tmtd_id'];
      
      }
      
      else {
          
          $todm_tmtd_id = "0";
      
      }

      if(isset($_POST['todm_toam_id']) && !empty($_POST['todm_toam_id']))
      {

        $todm_toam_id = $_POST['todm_toam_id'];
      
      }
      
      else {
          
          $todm_toam_id = "0";
      
      }

      if(isset($_POST['pop_check']) && !empty($_POST['pop_check']))
      {
        $sqlT = "INSERT INTO ".$DB_Prefix."outpatient_diagnosis_master(`todm_hm_id`,`todm_um_id`,`todm_diagnosis`,`todm_tmtd_id`,`todm_toam_id`,`todm_created_by`) VALUES (:todm_hm_id,:todm_um_id,:todm_diagnosis,:todm_tmtd_id,:todm_toam_id,:todm_created_by)"; 
        $statementT = $DB->prepare($sqlT);
        $statementT->bindValue(":todm_hm_id", $hm_id);
        $statementT->bindValue(":todm_um_id", $created_by);
        $statementT->bindValue(":todm_diagnosis", $diagnosis);
        $statementT->bindValue(":todm_tmtd_id", $todm_tmtd_id);
        $statementT->bindValue(":todm_toam_id", $todm_toam_id);
        $statementT->bindValue(":todm_created_by", $created_by);
        $resT = $statementT->execute();
      } 


  }  

  $return_arr = array("dia_id" => $PID,
                    "medi_temp_id" => $todm_tmtd_id,
                    "advice_id" => $todm_toam_id);

  echo json_encode($return_arr);

?>

<?php } } ?>

<?php if(isset($_REQUEST['do']) && $_REQUEST['do'] == "delete") {

$delete_tcd_id  = $_POST['delete_tcd_id'];
$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$delete_by = $row_User_Details['um_id'];

$Delete_Allergy = delete_patient_case_dia_diagnosis($DB,$delete_tcd_id,$delete_by);
echo 1;

} 
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "get_diagonosis") {
$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$DocId = $row_User_Details['um_id'];
$ID = $_POST['id'];
$Resuluts_template_diag = get_single_case_diagnosis_id($DB,$ID);

?>
<tr id="tr_case_dia_diagnosis_<?php echo $ID; ?>">
   <td><?php echo $Resuluts_template_diag['diagnosis']; ?></td>
   <td><?php echo $Resuluts_template_diag['type']; ?></td>
   <td><?php echo $row_User_Details['um_name'] ?></td>
   <td><?php echo date('d/m/Y', strtotime($Resuluts_template_diag['tcd_created_date'])); ?></td>
   <td>
      <div class="checkbox">
         <label><input type="checkbox" checked="" value="<?php echo $ID ?>" name="tcd_id[]"></label>
      </div>
   </td>
   <!-- <td><a href="javascript:void(0)" id="delete_popup_dia_diagnosis" data-tcd_id="<?php //echo $ID; ?>" title="Delete"><i class="fa fa-trash"></i></a></td> -->
</tr>
<?php  } ?>



