<style type="text/css">

.scrollbar
{
    display: block;
    height: 85px;
    overflow-x: auto;
    border-left: 2px solid #f4f4f4;
    border-bottom: 2px solid #f4f4f4;
    padding-left: 5px;


}

#style-7::-webkit-scrollbar-track
{
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
  border-radius: 10px;
  background-color: #F5F5F5;
}

#style-7::-webkit-scrollbar
{
  width: 6px;
  background-color: #F5F5F5;
}

#style-7::-webkit-scrollbar-thumb
{
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
  background-color: #3c8dbc;
}

/*
 *  STYLE 3
 */

</style>

<!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Vitals
        <small></small>
      </h1>
      <ol class="breadcrumb">
        <?php if(in_array('35', $AarruserRole)) { ?>
          <li><a href="javascript:void(0)" id="add_vitals_single" title="Add New"><i class="fa fa-fw fa-plus"></i></a></li>
        <?php } ?>
          
      </ol>
    </section>
    
    <!-- Main content -->
    <section class="content">
      <div class="row">
        
        <div class="col-md-12">
          <div class="box">
            
            <input type="hidden" id="pm_pid" name="pm_pid" value="<?php echo $Case_Patient_Id1; ?>">
            <input type="hidden" id="pm_id" name="pm_id" value="<?php echo $Results_Patient['pm_id']; ?>">
            <div class="box-body">
              <table class="table" id="example2">
                <thead>
                  <tr>
                    <th>T</th>
                    <th>P</th>
                    <th>RR</th>
                    <th>BP</th>
                    <th>SPO2</th>
                    <th>Date</th>
                    <?php if(in_array('37', $AarruserRole)) { ?>
                    <th>Action</th>
                    <?php } ?>
                  </tr>
                  </thead>
                  <tbody id="add_table_vitals">
                  <?php 
                      $ResultsCase_Vitals = get_patient_case_vitals($DB,$Results_Patient['pm_id'],$Um_ID);
                      foreach ($ResultsCase_Vitals as $RowCase_Vitals) {

                      $UmId = $RowCase_Vitals['um_id'];
                      $RowEnter = get_user_master_details_from_id($DB,$UmId);

                  ?>
                  
                  <tr id="tr_case_vitals_<?php echo $RowCase_Vitals['tcv_id']; ?>">
                    <td><?php echo $RowCase_Vitals['temp']; ?></td>
                    <td><?php echo $RowCase_Vitals['pres']; ?></td>
                    <td><?php echo $RowCase_Vitals['resp_rate']; ?></td>
                    <td><?php echo $RowCase_Vitals['blood_press']; ?></td>
                    <td><?php echo $RowCase_Vitals['spo2']; ?></td>
                    <td><?php echo date('d/m/Y', strtotime($RowCase_Vitals['tcv_created_date']));  ?></td>
                    <?php if(in_array('37', $AarruserRole)) { ?>
                    <td>

                    <?php if(in_array('37', $AarruserRole)) { ?>

                      <a href='javascript:void(0)' id="delete_popup_vitals" data-tcv_id="<?php echo $RowCase_Vitals['tcv_id']; ?>" title="Delete"><i class="fa fa-trash"></i></a>
                    
                    <?php }?>

                    </td>
                    <?php } ?>
                  </tr>

                  <?php } ?>

                </tbody>
              </table>
            </div>
            
          </div>
        </div>
        


    </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
 
<!-- ./wrapper -->

<div class="modal fade" id="modal_add_vitals_single">
        <form id="form_modal_add_vitals">  
          <div class="modal-dialog" role="form" style="width: 400px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close btn-danger-close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Add New Vitals</h4>
              </div>
                <div class="box-body">
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Temperature</label>
                    <input type="text" class="form-control" id="temp_single" name="temp_single" placeholder="Temperature">
                  </div>
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Pulse</label>
                    <input type="text" class="form-control" id="pres_single" name="pres_single" placeholder="Pulse">
                  </div>
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Resp. Rate</label>
                    <input type="text" class="form-control" id="resp_rate_single" name="resp_rate_single" placeholder="Resp. Rate">
                  </div>
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Blood Pressure</label>
                    <input type="text" class="form-control" id="blood_press_single" name="blood_press_single" placeholder="Blood Pressure">
                  </div>
                  <div class="form-group col-md-6 title_validation">
                    <label for="exampleInputEmail1">Spo2</label>
                    <input type="text" class="form-control" id="spo2_single" name="spo2_single" placeholder="Spo2">
                  </div>
                </div>

                <div class="box-footer" style="text-align: center;">
                  <button type="button" id="submit_case_vitals_single" class="btn btn-primary">Submit</button>
                  <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Cancel</button>
                  <span class="err_register" style="display: none;"><img src="img/loaderIcon.gif"></span>
                  <br />
                  <span class="help-block" style="margin-top: 5px; color: red;"></span>
                </div>
                
            </div>
            <!-- /.modal-content -->
          </div>
        </form>  
          <!-- /.modal-dialog -->
          
</div>

<div class="modal fade" id="modal-danger-case-vitals">
          <div class="modal-dialog" style="width: 400px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Delete Vitals</h4>
              </div>
              <input type="hidden" name="delete_tcv_id" id="delete_tcv_id">
              <div class="modal-body delete_case_vitals_text" style="text-align: center;">
              </div>
              <div class="modal-footer" style="text-align: center;">
                <button type="button" id="delete_case_vitals" class="btn btn-danger">Delete</button>
                <button type="button" class="btn btn-success" data-dismiss="modal">Do not delete</button>
              </div>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
          
</div>


