<?php
function get_all_template_details(PDO $DB,$uname)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_template_master WHERE titm_um_id = '$uname'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_single_inpatient_details_from_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."atd_patient_master WHERE pm_pid = '$Pm_ID' AND in_pid = '$In_Pid'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_all_inpatient_admit_diagnosis_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_onadmit_diagnosis WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tiod_del = '0'  ORDER BY tiod_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_all_inpatient_discharge_diagnosis_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_discharge_diagnosis WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tidd_del = '0'  ORDER BY tidd_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_single_inpatient_admit_diagnosis_pid_ipid(PDO $DB,$ID)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_onadmit_diagnosis WHERE tiod_id = '$ID'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function delete_inpatient_admit_diagnosis_id(PDO $DB,$delete_tiod_id,$delete_by)
{
$sql_Delete = "UPDATE ".DB_PREFIX."inpatient_onadmit_diagnosis SET  tiod_del = :tiod_del, tiod_delete_by = :tiod_delete_by WHERE tiod_id ='$delete_tiod_id'";
$statement_Delete = $DB->prepare($sql_Delete);
$statement_Delete->bindValue(":tiod_del", '1');
$statement_Delete->bindValue(":tiod_delete_by", $delete_by);
$count = $statement_Delete->execute();

}

function get_single_inpatient_discharge_diagnosis_pid_ipid(PDO $DB,$ID)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_discharge_diagnosis WHERE tidd_id = '$ID'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function delete_inpatient_discharge_diagnosis_id(PDO $DB,$delete_tidd_id,$delete_by)
{
$sql_Delete = "UPDATE ".DB_PREFIX."inpatient_discharge_diagnosis SET  tidd_del = :tidd_del, tidd_delete_by = :tidd_delete_by WHERE tidd_id ='$delete_tidd_id'";
$statement_Delete = $DB->prepare($sql_Delete);
$statement_Delete->bindValue(":tidd_del", '1');
$statement_Delete->bindValue(":tidd_delete_by", $delete_by);
$count = $statement_Delete->execute();

}

function get_all_inpatient_allergies_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_allergies WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tia_del = '0'  ORDER BY tia_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_single_inpatient_allergies_pid_ipid(PDO $DB,$ID)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_allergies WHERE tia_id = '$ID'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function get_all_inpatient_vitals_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_vitals WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tiv_del = '0'  ORDER BY tiv_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_single_inpatient_vitals_pid_ipid(PDO $DB,$ID)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_vitals WHERE tiv_id = '$ID'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function get_all_inpatient_in_out_chart_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_in_out_chart WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tioc_del = '0'  ORDER BY tioc_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_single_inpatient_in_out_chart_pid_ipid(PDO $DB,$ID)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_in_out_chart WHERE tioc_id = '$ID'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function get_all_inpatient_daily_well_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_daily_well WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tidw_del = '0'  ORDER BY tidw_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_single_inpatient_daily_well_pid_ipid(PDO $DB,$ID)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_daily_well WHERE tidw_id = '$ID'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function get_all_inpatient_body_com_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_body_com WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tibc_del = '0'  ORDER BY tibc_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_single_inpatient_body_com_pid_ipid(PDO $DB,$ID)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_body_com WHERE tibc_id = '$ID'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function get_all_inpatient_doctor_notes_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_doctor_notes WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tidn_del = '0'  ORDER BY tidn_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_all_inpatient_extra_medication_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_extra_medication WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tiem_del = '0'  ORDER BY tiem_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_single_inpatient_extra_medication_pid_ipid(PDO $DB,$ID)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_extra_medication WHERE tiem_id = '$ID'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function delete_inpatient_extra_medication_id(PDO $DB,$delete_tiem_id,$delete_by)
{
$sql_Delete = "UPDATE ".DB_PREFIX."inpatient_extra_medication SET  tiem_del = :tiem_del, tiem_delete_by = :tiem_delete_by WHERE tiem_id ='$delete_tiem_id'";
$statement_Delete = $DB->prepare($sql_Delete);
$statement_Delete->bindValue(":tiem_del", '1');
$statement_Delete->bindValue(":tiem_delete_by", $delete_by);
$count = $statement_Delete->execute();

}

function get_all_inpatient_extra_order_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_extra_order WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tieo_del = '0'  ORDER BY tieo_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_single_inpatient_extra_order_pid_ipid(PDO $DB,$ID)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_extra_order WHERE tieo_id = '$ID'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function delete_inpatient_extra_order_id(PDO $DB,$delete_tieo_id,$delete_by)
{
$sql_Delete = "UPDATE ".DB_PREFIX."inpatient_extra_order SET  tieo_del = :tieo_del, tieo_delete_by = :tieo_delete_by WHERE tieo_id ='$delete_tieo_id'";
$statement_Delete = $DB->prepare($sql_Delete);
$statement_Delete->bindValue(":tieo_del", '1');
$statement_Delete->bindValue(":tieo_delete_by", $delete_by);
$count = $statement_Delete->execute();

}

function get_all_inpatient_investigation_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_investigation WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tii_del = '0'  ORDER BY tii_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_single_inpatient_investigation_pid_ipid(PDO $DB,$ID)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_investigation WHERE tii_id = '$ID'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function delete_inpatient_investigation_id(PDO $DB,$delete_tii_id,$delete_by)
{
$sql_Delete = "UPDATE ".DB_PREFIX."inpatient_investigation SET  tii_del = :tii_del, tii_delete_by = :tii_delete_by WHERE tii_id ='$delete_tii_id'";
$statement_Delete = $DB->prepare($sql_Delete);
$statement_Delete->bindValue(":tii_del", '1');
$statement_Delete->bindValue(":tii_delete_by", $delete_by);
$count = $statement_Delete->execute();

}

function get_all_inpatient_doctor_billing_sheet_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_doctor_billing_sheet WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tdbs_del = '0'  ORDER BY tdbs_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_single_inpatient_doctor_billing_sheet_pid_ipid(PDO $DB,$ID)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_doctor_billing_sheet WHERE tdbs_id = '$ID'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function delete_inpatient_doctor_billing_sheet_id(PDO $DB,$delete_tdbs_id,$delete_by)
{
$sql_Delete = "UPDATE ".DB_PREFIX."inpatient_doctor_billing_sheet SET  tdbs_del = :tdbs_del, tdbs_delete_by = :tdbs_delete_by WHERE tdbs_id ='$delete_tdbs_id'";
$statement_Delete = $DB->prepare($sql_Delete);
$statement_Delete->bindValue(":tdbs_del", '1');
$statement_Delete->bindValue(":tdbs_delete_by", $delete_by);
$count = $statement_Delete->execute();

}


/* Jigish Monday Script */

function get_all_doctor_general_order_template(PDO $DB,$Um_Id)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."doctor_general_order_template WHERE um_id = '$Um_Id' AND tdgot_del = '0'  ORDER BY tdgot_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_all_inpatient_general_order_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_general_order WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tigo_del = '0'  ORDER BY tigo_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_single_inpatient_general_order_pid_ipid(PDO $DB,$ID)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_general_order WHERE tigo_id = '$ID'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function delete_inpatient_general_order_id(PDO $DB,$delete_tigo_id,$delete_by)
{
$sql_Delete = "UPDATE ".DB_PREFIX."inpatient_general_order SET  tigo_del = :tigo_del, tigo_delete_by = :tigo_delete_by WHERE tigo_id ='$delete_tigo_id'";
$statement_Delete = $DB->prepare($sql_Delete);
$statement_Delete->bindValue(":tigo_del", '1');
$statement_Delete->bindValue(":tigo_delete_by", $delete_by);
$count = $statement_Delete->execute();

}

/* Jigish Monday Script Close */

/* MOnday function */

function get_all_inpatient_vitals_pid_ipid_date(PDO $DB,$Pm_ID,$In_Pid,$n_date)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_vitals WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tiv_del = '0' AND tiv_days = '$n_date' ORDER BY tiv_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_all_inpatient_in_out_chart_pid_ipid_date(PDO $DB,$Pm_ID,$In_Pid,$date)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_in_out_chart WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tioc_del = '0' AND tioc_days = '$date' ORDER BY tioc_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_all_inpatient_daily_well_pid_ipid_date(PDO $DB,$Pm_ID,$In_Pid,$date)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_daily_well WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tidw_del = '0' AND tidw_days = '$date' ORDER BY tidw_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_all_inpatient_extra_medication_pid_ipid_date(PDO $DB,$Pm_ID,$In_Pid,$date)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_extra_medication WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tiem_del = '0' AND tiem_days = '$date' ORDER BY tiem_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_all_inpatient_extra_order_pid_ipid_date(PDO $DB,$Pm_ID,$In_Pid,$date)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_extra_order WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tieo_del = '0' AND tieo_days = '$date' ORDER BY tieo_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

/* MOnday function Closed*/

function get_single_inpatient_doctor_notes_pid_ipid(PDO $DB,$ID)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_doctor_notes WHERE tidn_id = '$ID'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}



function get_all_inpatient_dis_summary_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_dis_summary WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tids_del = '0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function get_all_inpatient(PDO $DB)
{
 $sqlList= "SELECT * FROM ".DB_PREFIX."atd_patient_master WHERE tapm_delete_by = '0' AND tapm_discharge='0'";
 $qryList= $DB->prepare($sqlList);
 $qryList->execute();
 return $qryList->fetchAll();  
}

function get_do_search_inpatient(PDO $DB,$data,$hm_id)
{
 //$sqlList= "SELECT * FROM ".DB_PREFIX."atd_patient_master WHERE (pm_pid LIKE '%$data%' OR in_pid LIKE '%$data%') AND tapm_delete_by = 0 AND tapm_discharge = 0";

 $sqlList = "SELECT apm.hm_id, apm.tapm_id, apm.pm_pid, pm.pm_pid, pm.pm_first_name, apm.in_pid, apm.tapm_delete_by, apm.tapm_discharge FROM ".DB_PREFIX."atd_patient_master apm JOIN ".DB_PREFIX."patient_master pm ON apm.pm_pid = pm.pm_pid WHERE (apm.in_pid LIKE '%$data%' OR apm.pm_pid LIKE '%$data%' OR pm.pm_first_name LIKE '%$data%') AND (apm.tapm_delete_by = 0 AND apm.tapm_discharge = 0) AND apm.hm_id = '$hm_id'";
 $qryList= $DB->prepare($sqlList);
 $qryList->execute();
 return $qryList->fetchAll();
}

function get_inpatient(PDO $DB,$hm_id)
{
 //$sqlList= "SELECT * FROM ".DB_PREFIX."atd_patient_master WHERE (pm_pid LIKE '%$data%' OR in_pid LIKE '%$data%') AND tapm_delete_by = 0 AND tapm_discharge = 0";

 $sqlList = "SELECT apm.hm_id, apm.tapm_id, apm.pm_pid, pm.pm_pid, pm.pm_first_name, apm.in_pid, apm.tapm_delete_by, apm.tapm_discharge FROM ".DB_PREFIX."atd_patient_master apm JOIN ".DB_PREFIX."patient_master pm ON apm.pm_pid = pm.pm_pid WHERE (apm.tapm_delete_by = 0 AND apm.tapm_discharge = 0) AND apm.hm_id = '$hm_id'";
 $qryList= $DB->prepare($sqlList);
 $qryList->execute();
 return $qryList->fetchAll();
}

function get_ward_wise_inpatient(PDO $DB,$ward_id)
{
 $sqlList= "SELECT * FROM ".DB_PREFIX."atd_patient_master WHERE twm_id = '$ward_id' AND  tapm_delete_by = '0' AND tapm_discharge='0'";
 $qryList= $DB->prepare($sqlList);
 $qryList->execute();
 return $qryList->fetchAll();  
}



function get_all_inpatient_doctor_procedure_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_doctor_procedure WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tidp_del = '0'  ORDER BY tidp_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_single_inpatient_doctor_procedure_pid_ipid(PDO $DB,$ID)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_doctor_procedure WHERE tidp_id = '$ID'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function get_dischrage_type(PDO $DB){
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_discharge_type ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_single_dischrage_type(PDO $DB,$id){
$sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_discharge_type WHERE tidt_id='$id' ";
$qryList= $DB->prepare($sqlList);
$qryList->execute();
return $qryList->fetch();  
}



function get_all_inpatient_admit_notes_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_admit_notes WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tian_del = '0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function get_inpatient_admit_notes_final_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_admit_notes WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tian_del = '0' AND tcm_action_final = '1'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_all_discharged_patient(PDO $DB)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."atd_patient_master WHERE tapm_discharge = '1' AND tapm_delete = '0' ORDER BY tapm_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}




function get_daily_all_inputchart_value_from_pid_ipid(PDO $DB,$Pm_ID,$In_Pid,$date)
{
  $sqlNumeView= "SELECT SUM(tioc_temp) AS totalinput FROM ".DB_PREFIX."inpatient_in_out_chart WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tioc_days = '$date' AND tioc_del = '0'";
  $qryListNumeView= $DB->prepare($sqlNumeView);
  $qryListNumeView->execute();
  $Row = $qryListNumeView->fetch();
  return $Row['totalinput'];

}

function get_daily_all_outchart_value_from_pid_ipid(PDO $DB,$Pm_ID,$In_Pid,$date)
{
  $sqlNumeView= "SELECT SUM(tioc_output) AS totalout FROM ".DB_PREFIX."inpatient_in_out_chart WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tioc_days = '$date' AND tioc_del = '0'";
  $qryListNumeView= $DB->prepare($sqlNumeView);
  $qryListNumeView->execute();
  $Row = $qryListNumeView->fetch();
  return $Row['totalout'];

}

function get_daily_all_drainoutchart_value_from_pid_ipid(PDO $DB,$Pm_ID,$In_Pid,$date)
{
  $sqlNumeView= "SELECT SUM(tioc_drain_output) AS totaldout FROM ".DB_PREFIX."inpatient_in_out_chart WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tioc_days = '$date' AND tioc_del = '0'";
  $qryListNumeView= $DB->prepare($sqlNumeView);
  $qryListNumeView->execute();
  $Row = $qryListNumeView->fetch();
  return $Row['totaldout'];

}

function get_total_cumulative_value_from_pid_ipid(PDO $DB,$Pm_ID,$In_Pid,$date)
{
  $sqlNumeViewIn= "SELECT SUM(tioc_temp) AS totalinput FROM ".DB_PREFIX."inpatient_in_out_chart WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tioc_days <= '$date' AND tioc_del = '0'";
  $qryListNumeViewIn= $DB->prepare($sqlNumeViewIn);
  $qryListNumeViewIn->execute();
  $RowIn = $qryListNumeViewIn->fetch();
  $TotalInput = $RowIn['totalinput'];

  $sqlNumeViewOut= "SELECT SUM(tioc_output) AS totalout FROM ".DB_PREFIX."inpatient_in_out_chart WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tioc_days <= '$date' AND tioc_del = '0'";
  $qryListNumeViewOut= $DB->prepare($sqlNumeViewOut);
  $qryListNumeViewOut->execute();
  $RowOut = $qryListNumeViewOut->fetch();
  $TotalOut = $RowOut['totalout'];

  return abs($TotalInput) - abs($TotalOut);

}


function get_all_inpatient_nurse_billing_sheet_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_nurse_billing_sheet WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tnbs_del = '0'  ORDER BY tnbs_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_single_inpatient_nurse_billing_sheet_pid_ipid(PDO $DB,$ID)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_nurse_billing_sheet WHERE tnbs_id = '$ID'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function delete_inpatient_nurse_billing_sheet_id(PDO $DB,$delete_tnbs_id,$delete_by)
{
$sql_Delete = "UPDATE ".DB_PREFIX."inpatient_nurse_billing_sheet SET  tnbs_del = :tnbs_del, tnbs_delete_by = :tnbs_delete_by WHERE tnbs_id ='$delete_tnbs_id'";
$statement_Delete = $DB->prepare($sql_Delete);
$statement_Delete->bindValue(":tnbs_del", '1');
$statement_Delete->bindValue(":tnbs_delete_by", $delete_by);
$count = $statement_Delete->execute();

}

function get_all_inpatient_medication_treatment_pid_ipid_date(PDO $DB,$Pm_ID,$In_Pid,$date)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_medication_treatment WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND timt_del = '0' AND timt_days <= '$date' ORDER BY timt_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}


function get_all_inpatient_from_hm_id(PDO $DB,$hm_id)
{
 $sqlList= "SELECT * FROM ".DB_PREFIX."atd_patient_master WHERE hm_id = '$hm_id' AND tapm_delete_by = '0' AND tapm_discharge='0'";
 $qryList= $DB->prepare($sqlList);
 $qryList->execute();
 return $qryList->fetchAll();  
}

function get_all_discharged_patient_from_hmid(PDO $DB,$hm_id)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."atd_patient_master WHERE tapm_discharge = '1' AND tapm_delete = '0' AND hm_id = '$hm_id' ORDER BY tapm_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}


function get_all_inpatient_general_order_pid_ipid_datewise(PDO $DB,$Pm_ID,$In_Pid,$date)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_general_order WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tigo_days <= '$date' AND tigo_del = '0'  ORDER BY tigo_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_all_inpatient_investigation_pid_ipid_datewise(PDO $DB,$Pm_ID,$In_Pid,$date)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_investigation WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tii_del = '0' AND tii_days = '$date'  ORDER BY tii_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}


//3/5/2018 SM start here

function get_lab_tbl_colum(PDO $DB,$id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_lab_parameter WHERE pm_pid = '$id' AND tilp_del =0";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_pm_pid_from_lab_id(PDO $DB,$id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_lab_parameter WHERE tilp_id = '$id' ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch(); 
}

function get_lab_tbl_colum_details(PDO $DB,$id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_lab_parameter WHERE pm_pid = '$id' ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_parameter_details_by_pid(PDO $DB,$pm_pid){
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_lab_parameter WHERE pm_pid = '$pm_pid' AND tilp_del=0";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_lab_tbl_row_date_data(PDO $DB,$pm_pid){
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_lab_val WHERE pm_pid = '$pm_pid'  ORDER BY tilv_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_lab_tbl_row_data(PDO $DB,$pm_pid){
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatinet_lab_para_value WHERE tilp_id = '$pm_pid'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function get_lab_tbl_colum_td(PDO $DB,$tr_col_id,$id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatinet_lab_para_value WHERE tilp_id = '$tr_col_id' AND tilv_id = '$id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

//3/5/2018 SM end here


// 4/5/2018 SM Start here

function get_parameter_single_details_by_id(PDO $DB,$id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatinet_lab_para_value WHERE tilpv_id = '$id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function get_single_parameter_name_by_id(pdo $DB,$main_id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_lab_parameter WHERE tilp_id = '$main_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch(); 
}

function get_pid_from_lb_val(PDO $DB,$id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatinet_lab_para_value WHERE tilpv_id = '$id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch(); 
}

// 4/5/2018 SM End here



//get_insurance_patient_details

function get_insurance_patient_details(PDO $DB,$id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatinet_lab_para_value WHERE tilpv_id = '$id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch(); 
}


function get_single_inpatient_medication_treatment_pid_ipid(PDO $DB,$timt_id)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_medication_treatment WHERE timt_id = '$timt_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function delete_inpatient_medication_treatment_id(PDO $DB,$delete_timt_id,$delete_by)
{
$sql_Delete = "UPDATE ".DB_PREFIX."inpatient_medication_treatment SET  timt_del = :timt_del, timt_delete_by = :timt_delete_by WHERE timt_id ='$delete_timt_id'";
$statement_Delete = $DB->prepare($sql_Delete);
$statement_Delete->bindValue(":timt_del", '1');
$statement_Delete->bindValue(":timt_delete_by", $delete_by);
$count = $statement_Delete->execute();

}


function get_all_inpatient_radiology_report_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_radiology_report WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tirr_del = '0'  ORDER BY tirr_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_single_inpatient_radiology_report_pid_ipid(PDO $DB,$ID)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_radiology_report WHERE tirr_id = '$ID'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function get_all_inpatient_nurse_notes_pid_ipid(PDO $DB,$Pm_ID,$In_Pid)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_nurse_notes WHERE pm_pid = '$Pm_ID' AND ip_id = '$In_Pid' AND tinn_del = '0'  ORDER BY tinn_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}

function get_single_inpatient_nurse_notes_pid_ipid(PDO $DB,$ID)
{
  $sqlList= "SELECT * FROM ".DB_PREFIX."inpatient_nurse_notes WHERE tinn_id = '$ID'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();  
}

function get_patientwise_log_data($DB,$pm_pid){
  $sqlList= "SELECT * FROM ".DB_PREFIX."atd_logs WHERE pm_pid = '$pm_pid'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();  
}
?>
