<?php

function get_supplier_id(PDO $DB){
  $sqlList= "SELECT * FROM ".DB_PREFIX."supplier";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}
function get_all_purchase_invoice_from_pharmaid(PDO $DB,$PharmaId)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_purchase_invoice WHERE pharma_id = '$PharmaId' AND tppi_del = '0' ORDER BY tppi_id DESC";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_single_supplier_from_supid(PDO $DB,$ts_id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."supplier WHERE ts_id = '$ts_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();

}

function get_supplier_lastid(PDO $DB){
  $sqlList= "SELECT * FROM ".DB_PREFIX."supplier ORDER BY  ts_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_supplier_data(pdo $DB){
  $sqlList= "SELECT * FROM ".DB_PREFIX."supplier WHERE ts_del=0";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_medicine_data(pdo $DB){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine WHERE tpm_del=0";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

/*4/6/2018 sunita */
function get_purchase_id(PDO $DB){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_order";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}
function get_medicine_data_from_name(pdo $DB,$Name){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine WHERE tpm_name LIKE '%$Name%' AND tpm_del=0";

  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_purchase_lastid(PDO $DB){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_order ORDER BY  tppo_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_supplierid(PDO $DB,$term){
  $sqlList= "SELECT * FROM ".DB_PREFIX."supplier WHERE ts_supp_id LIKE '%$term%' ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_medicine(PDO $DB,$term){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine WHERE tpm_name LIKE '%$term%' AND tpm_del = '0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}


function get_purchase_invoice_last_id(PDO $DB)
{
  $date_new = date("Y-m-d");
  $trimdate = explode('-', $date_new);
  $p_year = $trimdate[0];
  $p_month   = $trimdate[1];
  $p_day  = $trimdate[2];

  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_invoice ORDER BY tppi_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  $count = $qryList->rowCount();

  if($count > 0)
  {
    $RowList = $qryList->fetch();
    $patient_new_id = $RowList['tppi_pid'];
    $o_year_month = substr($patient_new_id, 0, 6);
    $o_year = substr($o_year_month, 0, 4);
    $o_month = substr($o_year_month, -2);
    if($p_year.$p_month == $o_year.$o_month)
    {
      return  $patient_new_id+1;
    }else{
      return $p_year.$p_month."001";
    }

  }  
  else {
    return $p_year.$p_month."001";
  }
}

function get_all_purchase_order_from_pharmaid(PDO $DB,$PharmaId)
{
  $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_purchase_order WHERE pharma_id = '$PharmaId' AND tppo_del = '0' ORDER BY tppo_id DESC";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_single_supplier_order_from_supid(PDO $DB,$ts_id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."supplier WHERE ts_id = '$ts_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}


function check_insert_batch_from_medicine(PDO $DB,$term,$tpm_id,$HosId,$PharmaId,$created_by,$exp_date,$mrp_cost,$single_unit_cost){

  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_batch WHERE hos_id = '$HosId' AND pharma_id = '$PharmaId' AND tpm_id = '$tpm_id' AND tpmb_name = '$term' ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  $RowList = $qryList->fetch();

  if($RowList != "")
  {
    return $RowList['tpmb_id'];
  }

  else{


      $sql = "INSERT INTO ".DB_PREFIX."pha_medicine_batch(`hos_id`,`pharma_id`, `tpm_id`, `tpmb_name`,`tpmb_exp_date`,`tpmb_mrp_cost`,`tpmb_single_unit_cost`,`tpmb_created_by`) VALUES (:hos_id,:pharma_id,:tpm_id,:tpmb_name,:tpmb_exp_date,:tpmb_mrp_cost,:tpmb_single_unit_cost,:tpmb_created_by)"; 

            $statement = $DB->prepare($sql);
            $statement->bindValue(":hos_id", $HosId);
            $statement->bindValue(":pharma_id", $PharmaId);
            $statement->bindValue(":tpm_id", $tpm_id);
            $statement->bindValue(":tpmb_name", $term);
            $statement->bindValue(":tpmb_exp_date", $exp_date);

            $statement->bindValue(":tpmb_mrp_cost", $mrp_cost);
            $statement->bindValue(":tpmb_single_unit_cost", $single_unit_cost);

            $statement->bindValue(":tpmb_created_by", $created_by);
            echo $res = $statement->execute();
            
            return $DB->lastInsertId();

  }  
}

function get_supplier_from_name(PDO $DB,$term){
  $sqlList= "SELECT * FROM ".DB_PREFIX."supplier WHERE ts_name LIKE '%$term%' ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_purchase_return_supplierid(PDO $DB,$term){
  $sqlList = "SELECT ts.ts_id,ts.ts_name,ts.ts_gst_no,ts.ts_address,ts.ts_phone_no,tppo.po_id,tppo.tppo_id FROM ".DB_PREFIX."pha_purchase_order As tppo LEFT JOIN ".DB_PREFIX."supplier AS ts ON tppo.ts_id = ts.ts_id WHERE tppo.ts_id";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_purchase_order_from_poid(PDO $DB,$term,$ts_id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_order WHERE po_id LIKE '%$term%' AND ts_id = '$ts_id' AND tppo_status != '2' ";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_purchase_qty_supplier_wise($DB,$tppo_id){
  $sqlList = "SELECT * FROM ".DB_PREFIX."pha_purchase_order_qty WHERE tppo_id='$tppo_id'";

  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_purchase_order_template_details(PDO $DB,$poId){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_order WHERE po_id = '$poId'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_purchase_order_qty_template_details(PDO $DB,$poId){
  echo $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_order_qty WHERE tppo_id = '$poId'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}


/* 8/6/2018 */
function get_sales_id(PDO $DB){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_sales_lastid(PDO $DB){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice ORDER BY  tpsi_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_medicine_data_from_id(pdo $DB,$Id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine WHERE tpm_id LIKE '$Id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}



function get_purchase_order_qty_detials_from_id(PDO $DB,$tppoq_id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_order_qty WHERE tppoq_id = '$tppoq_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function check_order_qty_from_purchase_invoice(PDO $DB,$tppo_id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_order_qty WHERE tppo_id = '$tppo_id' AND tppoq_status = '0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->rowCount();
}

function update_batch_qty_from_purchase_invoice(PDO $DB,$tpmb_id,$tppiq_qty){
  
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_batch WHERE tpmb_id = '$tpmb_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  $RowList = $qryList->fetch();
  $tpmb_qty = $RowList['tpmb_qty'];

  $NewQty = $tpmb_qty + $tppiq_qty;

  $QryOEdit = "UPDATE ".DB_PREFIX."pha_medicine_batch SET tpmb_qty =:tpmb_qty WHERE tpmb_id = '$tpmb_id'";
                  
  $statement41 = $DB->prepare($QryOEdit);
  $statement41->bindValue(":tpmb_qty", $NewQty);
  $res3 = $statement41->execute();

}
function check_purchase_order_status($tppo_status)
{
  if($tppo_status == 0)
  {
    return "Open";
  }
  else if($tppo_status == 1)
  {
    return "Pendding";
  }
  else if($tppo_status == 2)
  {
    return "Close";
  }
  else {
    return "Force Close";
  }   
}



function get_batch_data_from_name(PDO $DB,$term,$tpm_id){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_batch WHERE tpmb_name LIKE '%$term%' AND tpm_id = '$tpm_id' AND tpmb_del = '0'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

//
function get_medicine_id_batch_wise($DB,$mid){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_batch WHERE tpm_id = '$mid'";

  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function update_medicine_qty_from_purchase_invoice(PDO $DB,$tpm_id){
  
  $sqlNumeView= "SELECT SUM(tpmb_qty) AS totalqty FROM ".DB_PREFIX."pha_medicine_batch WHERE tpm_id = '$tpm_id'";
  $qryListNumeView= $DB->prepare($sqlNumeView);
  $qryListNumeView->execute();
  $RowAlbumqty = $qryListNumeView->fetch();
  $Totalqty = $RowAlbumqty['totalqty'];

  $QryOEdit = "UPDATE ".DB_PREFIX."pha_medicine SET tpm_qty =:tpm_qty WHERE tpm_id = '$tpm_id'";
                  
  $statement41 = $DB->prepare($QryOEdit);
  $statement41->bindValue(":tpm_qty", $Totalqty);
  $res3 = $statement41->execute();


}

function get_single_purchase_invoice_from_purchase_id(PDO $DB,$tppi_id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_purchase_invoice WHERE tppi_id = '$tppi_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();
}

function get_single_purchase_order_details(PDO $DB,$poId){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_purchase_order WHERE tppo_id = '$poId'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}

function get_all_purchase_invoice_qty_from_invoice_id(PDO $DB,$tppi_id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_purchase_invoice_qty WHERE tppi_id = '$tppi_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_single_batch_details_from_batchid(PDO $DB,$tpmb_id){
  
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_batch WHERE tpmb_id = '$tpmb_id'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();

} 

function check_medicine_qty_from_medi_id(PDO $DB,$tpm_id){
  
  $sqlNumeView= "SELECT SUM(tpmb_qty) AS totalqty FROM ".DB_PREFIX."pha_medicine_batch WHERE tpm_id = '$tpm_id'";
  $qryListNumeView= $DB->prepare($sqlNumeView);
  $qryListNumeView->execute();
  $RowAlbumqty = $qryListNumeView->fetch();

  if(!empty($RowAlbumqty['totalqty']))
  {
    return $RowAlbumqty['totalqty'];  
  }  
  else {
    return 0;
  }
  
}

function get_available_medicine_data_from_name(pdo $DB,$Name){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine WHERE tpm_name LIKE '%$Name%' AND tpm_qty > '0' AND tpm_del=0";

  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetchAll();
}

function get_single_medicine_id_batch_wise($DB,$mid){
  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_medicine_batch WHERE tpmb_id = '$mid'";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  return $qryList->fetch();
}


/* 9/6/2018 */
function get_sale_invoice_last_id(PDO $DB)
{
  $date_new = date("Y-m-d");
  $trimdate = explode('-', $date_new);
  $p_year = $trimdate[0];
  $p_month   = $trimdate[1];
  $p_day  = $trimdate[2];

  $sqlList= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice ORDER BY tpsi_id DESC";
  $qryList= $DB->prepare($sqlList);
  $qryList->execute();
  $count = $qryList->rowCount();

  if($count > 0)
  {
    $RowList = $qryList->fetch();
    $patient_new_id = $RowList['tpsi_pid'];
    $o_year_month = substr($patient_new_id, 0, 6);
    $o_year = substr($o_year_month, 0, 4);
    $o_month = substr($o_year_month, -2);
    if($p_year.$p_month == $o_year.$o_month)
    {
      return  $patient_new_id+1;
    }else{
      return $p_year.$p_month."001";
    }

  }  
  else {
    return $p_year.$p_month."001";
  }
}

function get_all_sale_invoice_from_pharmaid(PDO $DB,$PharmaId)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice WHERE pharma_id = '$PharmaId' AND tpsi_del = '0' ORDER BY tpsi_id DESC";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

function get_single_sale_from_id(PDO $DB,$ts_id)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice_qty WHERE tpsi_id = '$ts_id'";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetch();

}

function get_all_sale_ipd_from_pharmaid(PDO $DB,$PharmaId)
{
 $sqlListType= "SELECT * FROM ".DB_PREFIX."pha_sales_invoice WHERE pharma_id = '$PharmaId' AND in_pid != '' AND tpsi_del = '0' ORDER BY tpsi_id DESC";
 $qryListType = $DB->prepare($sqlListType);
 $qryListType->execute();
 return $qryListType->fetchAll();
}

?>