<?php
session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");
?>
<?php
		if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add"){

			$HosId = $_SESSION['hm_id'];
			$email = $_SESSION['admin_user'];

			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];

			$tmtd_template_name  = $_POST['medicine_template_name'];

			if(isset($_POST['tmtd_tmm_id']) && !empty($_POST['tmtd_tmm_id'])){	
				$tmtd_tmm_id = $_POST['tmtd_tmm_id'];
				$tmtd_tmm_id = implode(",", $tmtd_tmm_id);
			}else {
				$tmtd_tmm_id = "";	
			}

			if(isset($_POST['tmtd_strength']) && !empty($_POST['tmtd_strength'])){	
				$tmtd_strength = $_POST['tmtd_strength'];
				$tmtd_strength = implode(",", $tmtd_strength);
			}else {
				$tmtd_strength = "";	
			}

			if(isset($_POST['tmtd_unit']) && !empty($_POST['tmtd_unit'])){	
				$tmtd_unit = $_POST['tmtd_unit'];
				$tmtd_unit = implode(",", $tmtd_unit);
			}else {
				$tmtd_unit = "";	
			}

			
			$tmtd_timeArray = array();
			if(isset($_POST['tmtd_tmm_id']) && !empty($_POST['tmtd_tmm_id'])){	
				$ArrayId = $_POST['tmtd_tmm_id'];
				foreach ($ArrayId as $Value) {

					if(isset($_POST['tmtd_time_'.$Value]))
					{
						$tmtd_timeArray[] = $_POST['tmtd_time_'.$Value];
					}
					else{
						$tmtd_timeArray[] = "None";
					}
					
				}

				$tmtd_time = implode(",", $tmtd_timeArray);
			}
			else {

				$tmtd_time = "";	


			}	
			
			
			

			$sql = "INSERT INTO ".$DB_Prefix."medicine_template_detail(`hm_id`, `um_id`, `tmtd_template_name`, `tmtd_tmm_id`, `tmtd_strength`,`tmtd_unit`,`tmtd_time`,`tmtd_created_by`) VALUES (:hm_id, :um_id,:tmtd_template_name, :tmtd_tmm_id,:tmtd_strength,:tmtd_unit,:tmtd_time,:tmtd_created_by)"; 
			
			$statement = $DB->prepare($sql);
			$statement->bindValue(":hm_id", $HosId);
			$statement->bindValue(":um_id", $created_by);
			$statement->bindValue(":tmtd_template_name", $tmtd_template_name);
			$statement->bindValue(":tmtd_tmm_id", $tmtd_tmm_id);
			$statement->bindValue(":tmtd_strength", $tmtd_strength);
			$statement->bindValue(":tmtd_unit", $tmtd_unit);
			$statement->bindValue(":tmtd_time", $tmtd_time);
			$statement->bindValue(":tmtd_created_by", $created_by);
			$res = $statement->execute();
			$PID = $DB->lastInsertId();
			if($res) { ?>
			<li><a href="javascript:;" data-id="<?php echo $PID ?>" class="select_case_template_name"><?php echo $tmtd_template_name; ?></a></li>
				
			<?php }	


		}else if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit"){
			$HosId = $_SESSION['hm_id'];
			//$DocId = $_SESSION['doc_id'];
			$email = $_SESSION['admin_user'];

			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];

			$tmtd_id = $_POST['edit_tmtd_id'];

			$tmtd_template_name  = $_POST['edit_template_name'];

			if(isset($_POST['tmtd_tmm_id']) && !empty($_POST['tmtd_tmm_id'])){	
				$tmtd_tmm_id = $_POST['tmtd_tmm_id'];
				$tmtd_tmm_id = implode(",", $tmtd_tmm_id);
			}else {
				$tmtd_tmm_id = "";	
			}

			if(isset($_POST['tmtd_strength']) && !empty($_POST['tmtd_strength'])){	
				$tmtd_strength = $_POST['tmtd_strength'];
				$tmtd_strength = implode(",", $tmtd_strength);
			}else {
				$tmtd_strength = "";	
			}

			if(isset($_POST['tmtd_unit']) && !empty($_POST['tmtd_unit'])){	
				$tmtd_unit = $_POST['tmtd_unit'];
				$tmtd_unit = implode(",", $tmtd_unit);
			}else {
				$tmtd_unit = "";	
			}

			$ArrayId = $_POST['tmtd_tmm_id'];
			$tmtd_time = array();
			if(isset($_POST['tmtd_tmm_id']) && !empty($_POST['tmtd_tmm_id'])){	
				
				foreach ($ArrayId as $Value) {

					if(isset($_POST['tmtd_time_'.$Value]))
					{
						$tmtd_timeArray[] = $_POST['tmtd_time_'.$Value];
					}
					else{
						$tmtd_timeArray[] = "None";
					}
					
				}
			}
			else {

				foreach ($ArrayId as $Value) {
					$tmtd_timeArray[] = "None";
				}	


			}	
			
			$tmtd_time = implode(",", $tmtd_timeArray);
			

			


			$sql_Edit = "UPDATE ".$DB_Prefix."medicine_template_detail SET  tmtd_template_name=:tmtd_template_name,
				tmtd_tmm_id=:tmtd_tmm_id, 
				tmtd_strength=:tmtd_strength,
				tmtd_unit=:tmtd_unit,
				tmtd_time=:tmtd_time, 
				tmtd_modify_by=:tmtd_modify_by WHERE tmtd_id='$tmtd_id'";
			
			$statement_Edit = $DB->prepare($sql_Edit);
			$statement_Edit->bindValue(":tmtd_template_name", $tmtd_template_name);
			$statement_Edit->bindValue(":tmtd_tmm_id", $tmtd_tmm_id);
			$statement_Edit->bindValue(":tmtd_strength", $tmtd_strength);
			$statement_Edit->bindValue(":tmtd_unit", $tmtd_unit);
			$statement_Edit->bindValue(":tmtd_time", $tmtd_time);
			$statement_Edit->bindValue(":tmtd_modify_by", $created_by);
			$res1 = $statement_Edit->execute();
			
			if($res1) { ?>

			<td><?php echo $tmtd_template_name; ?></td>
            <td><?php echo get_medicine_name_from_medicine_id($DB,$tmtd_tmm_id); ?></td>
            <td><a href="javascript:void(0)" id="edit_medicine_template" data-id="<?php echo $tmtd_id; ?>" data-name="<?php echo $tmtd_template_name; ?>" title="Edit"><i class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href="javascript:void(0)" id="delete_medicine_template" data-name="<?php echo $tmtd_template_name; ?>" data-id="<?php echo $tmtd_id; ?>" title="Delete"><i class="fa fa-trash" style="color: red;"></i></a></td>

			<?php } 


		}else if(isset($_REQUEST['do']) && $_REQUEST['do'] == "delete"){ 
			$id = $_POST['id'];
			$hm_id = $_SESSION['hm_id'];
			$email = $_SESSION['admin_user'];
			$row_User_Details = get_user_master_email($DB,$email);
			$created_by = $row_User_Details['um_id'];

			$sql_Image1 = "UPDATE ".$DB_Prefix."medicine_template_detail SET tmtd_del = :tmtd_del,
																				tmtd_delete_by = :tmtd_delete_by 
																				WHERE tmtd_id ='$id'"; 

			$statement_Image1 = $DB->prepare($sql_Image1);
			$statement_Image1->bindValue(":tmtd_del", '1');
			$statement_Image1->bindValue(":tmtd_delete_by", $created_by);
			$count = $statement_Image1->execute();
			echo 1;
		}
	?>