<?php

session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");

?>
<?php

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add") {

$tia_type = $_POST['tia_type'];

$pm_pid = base64_decode($_POST['pm_pid']);
$pm_id = $_POST['pm_id'];
$ip_id = base64_decode($_POST['ip_id']);


$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$created_by = $row_User_Details['um_id'];

$sql = "INSERT INTO ".$DB_Prefix."inpatient_allergies(`pm_id`,`pm_pid`,`um_id`,`tia_type`,`ip_id`,`tia_created_by`) VALUES (:pm_id,:pm_pid,:um_id,:tia_type,:ip_id,:tia_created_by)"; 
$statement = $DB->prepare($sql);
$statement->bindValue(":pm_id", $pm_id);
$statement->bindValue(":pm_pid", $pm_pid);
$statement->bindValue(":um_id", $created_by);
$statement->bindValue(":tia_type", $tia_type);
$statement->bindValue(":ip_id", $ip_id);
$statement->bindValue(":tia_created_by", $created_by);
$res = $statement->execute();
$PID = $DB->lastInsertId();
if($res) {
?>
<tr>
   <td><?php echo $tia_type; ?></td>
   <td><?php echo $row_User_Details['um_name']; ?></td>
   <td><?php echo date('d-m-Y'); ?></td>
   <td><a href="javascript:void(0)" title="Edit" data-id="<?php echo $PID; ?>" class="select_edit_inpatient_allergies"><i class="fa fa-edit"></i></a></td>
</tr>
<?php }  } ?>

<?php if(isset($_REQUEST['do']) && $_REQUEST['do'] == "delete") {

$delete_tia_id  = $_POST['delete_tia_id'];
$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$delete_by = $row_User_Details['um_id'];
$Delete_Allergy = delete_inpatient_allergies_id($DB,$delete_tia_id,$delete_by);
echo 1;
} 
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit_pop") {

$ID = $_POST["id"];
//$return_arr=array();
$RsList = get_single_inpatient_allergies_pid_ipid($DB,$ID);
$return_arr = array("tia_type" => $RsList['tia_type'],
                    "tia_id" => $RsList['tia_id'],
                    "created_by" => $RsList['tia_created_by']);

echo json_encode($return_arr);	

}
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit") {

$tia_id = $_POST['tia_id'];
$tia_type = $_POST['tia_type'];
$edit_tia_um_id = $_POST['edit_tia_um_id'];

$row_User_Details = get_user_master_details_from_id($DB,$edit_tia_um_id);

$sql_Image1 = "UPDATE ".$DB_Prefix."inpatient_allergies SET  tia_type = :tia_type
                  WHERE tia_id ='$tia_id'";

   $statement_Image1 = $DB->prepare($sql_Image1);
   $statement_Image1->bindValue(":tia_type", $tia_type);
   $count = $statement_Image1->execute();

if($count) {

?>
<td><?php echo $tia_type; ?></td>
<td><?php echo $row_User_Details['um_name']; ?></td>
<td><?php echo date('d-m-Y'); ?></td>
<td><a href="javascript:void(0)" title="Edit" data-id="<?php echo $tia_id; ?>" class="select_edit_inpatient_allergies"><i class="fa fa-edit"></i></a></td>
<?php } } ?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "past_dia") {
$pm_pid = base64_decode($_POST['id']);

?>

<table class="table " id="example6">
	<thead>
	   <tr>
	      <th>Type</th>
	      <th>Enter By</th>
	      <th>Date</th>
	   </tr>
	</thead>

	<tbody id="add_table_allergies">
		<?php 
		   $ResultsCase_Allergies = get_patient_case_allergies_pid($DB,$pm_pid);
		   if(count($ResultsCase_Allergies) > 0) {
		   foreach ($ResultsCase_Allergies as $RowCase_Allergies) {
		   
		   $UmId = $RowCase_Allergies['um_id'];
		   $RowEnter = get_user_master_details_from_id($DB,$UmId);
   
   		?>

   			<tr>
			   <td><?php echo $RowCase_Allergies['type'] ?></td>
			   <td><?php echo $RowEnter['um_name']; ?></td>
			   <td><?php echo date('d-m-Y', strtotime($RowCase_Allergies['tca_created_date']));?></td>
			</tr>

		<?php } } else { ?>	
			<tr>
                <td colspan="3" style="text-align: center; font-weight: bold;">
                              <em>Sorry!! no any past Allergies.</em>
                </td> 
            </tr>
		<?php } ?>

	</tbody>
</table>	

<?php } ?>
<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "use_allergies") {

$pm_pid = base64_decode($_POST['use_pm_pid']);
$pm_id = $_POST['use_pm_id'];
$ip_id = base64_decode($_POST['use_ip_id']);

$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$created_by = $row_User_Details['um_id'];

$ResultsCase_Allergies = get_patient_case_allergies_pid($DB,$pm_pid);
if(count($ResultsCase_Allergies) > 0) {
?>

<?php
	foreach ($ResultsCase_Allergies as $RowCase_Allergies) {

		$tia_type =$RowCase_Allergies['type'];	

		$sql = "INSERT INTO ".$DB_Prefix."inpatient_allergies(`pm_id`,`pm_pid`,`um_id`,`tia_type`,`ip_id`,`tia_created_by`) VALUES (:pm_id,:pm_pid,:um_id,:tia_type,:ip_id,:tia_created_by)"; 
		$statement = $DB->prepare($sql);
		$statement->bindValue(":pm_id", $pm_id);
		$statement->bindValue(":pm_pid", $pm_pid);
		$statement->bindValue(":um_id", $created_by);
		$statement->bindValue(":tia_type", $tia_type);
		$statement->bindValue(":ip_id", $ip_id);
		$statement->bindValue(":tia_created_by", $created_by);
		$res = $statement->execute();
		$PID = $DB->lastInsertId();

?>
<tr>
   <td><?php echo $tia_type; ?></td>
   <td><?php echo $row_User_Details['um_name']; ?></td>
   <td><?php echo date('d-m-Y'); ?></td>
   <td><a href="javascript:void(0)" title="Edit" data-id="<?php echo $PID; ?>" class="select_edit_inpatient_allergies"><i class="fa fa-edit"></i></a></td>
</tr>
<?php } ?>

<?php  } }  ?>