<?php

session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");

?>
<?php

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add") {

$tidd_type = $_POST['tidd_type'];
$tidd_diagnosis = $_POST['tidd_diagnosis'];


$pm_pid = base64_decode($_POST['pm_pid']);
$pm_id = $_POST['pm_id'];
$ip_id = base64_decode($_POST['ip_id']);


$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$created_by = $row_User_Details['um_id'];

$sql = "INSERT INTO ".$DB_Prefix."inpatient_discharge_diagnosis(`pm_id`,`pm_pid`,`um_id`,`tidd_type`,`tidd_diagnosis`,`ip_id`,`tidd_created_by`) VALUES (:pm_id,:pm_pid,:um_id,:tidd_type,:tidd_diagnosis,:ip_id,:tidd_created_by)"; 
$statement = $DB->prepare($sql);
$statement->bindValue(":pm_id", $pm_id);
$statement->bindValue(":pm_pid", $pm_pid);
$statement->bindValue(":um_id", $created_by);
$statement->bindValue(":tidd_type", $tidd_type);
$statement->bindValue(":tidd_diagnosis", $tidd_diagnosis);
$statement->bindValue(":ip_id", $ip_id);
$statement->bindValue(":tidd_created_by", $created_by);
$res = $statement->execute();
$PID = $DB->lastInsertId();
if($res) {
?>
<tr id="table_tr_inp_discharge_dia_<?php echo $PID; ?>">
   <td><?php echo $tidd_type; ?></td>
   <td><?php echo $tidd_diagnosis; ?></td>
   <td><?php echo $row_User_Details['um_name']; ?></td>
   <td><?php echo date('d-m-Y'); ?></td>
   <td><a href="javascript:void(0)" class="select_edit_inp_discharge_dia" data-id="<?php echo $PID; ?>" title="Edit"><i class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href='javascript:void(0)' id="delete_popup_inpatient_discharge_dia" data-id="<?php echo $PID; ?>"  title="Delete"><i class="fa fa-trash" style="color:red"></i></a></td>
</tr>
<?php }  } ?>

<?php if(isset($_REQUEST['do']) && $_REQUEST['do'] == "delete") {

$delete_tidd_id  = $_POST['delete_tidd_id'];
$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$delete_by = $row_User_Details['um_id'];
$Delete_Allergy = delete_inpatient_discharge_diagnosis_id($DB,$delete_tidd_id,$delete_by);
echo 1;
} 
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit_pop") {

$ID = $_POST["id"];
//$return_arr=array();
$RsList = get_single_inpatient_discharge_diagnosis_pid_ipid($DB,$ID);
$return_arr = array("tidd_diagnosis" => $RsList['tidd_diagnosis'],
                    "tidd_type" => $RsList['tidd_type'],
                    "tidd_id" => $RsList['tidd_id'],
                    "created_by" => $RsList['tidd_created_by']);

echo json_encode($return_arr);	

}
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit") {

$tidd_id = $_POST['tidd_id'];
$tidd_type = $_POST['tidd_type'];
$tidd_diagnosis = $_POST['tidd_diagnosis'];
$edit_tidd_um_id = $_POST['edit_tidd_um_id'];

$row_User_Details = get_user_master_details_from_id($DB,$edit_tidd_um_id);

$sql_Image1 = "UPDATE ".$DB_Prefix."inpatient_discharge_diagnosis SET  tidd_type = :tidd_type, 
                  tidd_diagnosis = :tidd_diagnosis
                  WHERE tidd_id ='$tidd_id'";

   $statement_Image1 = $DB->prepare($sql_Image1);
   $statement_Image1->bindValue(":tidd_type", $tidd_type);
   $statement_Image1->bindValue(":tidd_diagnosis", $tidd_diagnosis);
   $count = $statement_Image1->execute();

if($count) {

?>
<td><?php echo $tidd_type; ?></td>
<td><?php echo $tidd_diagnosis; ?></td>
<td><?php echo $row_User_Details['um_name']; ?></td>
<td><?php echo date('d-m-Y'); ?></td>
<td><a href="javascript:void(0)" class="select_edit_inp_discharge_dia" data-id="<?php echo $tidd_id; ?>" title="Edit"><i class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href='javascript:void(0)' id="delete_popup_inpatient_discharge_dia" data-id="<?php echo $tidd_id; ?>"  title="Delete"><i class="fa fa-trash" style="color:red"></i></a></td>
<?php } } ?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "past_dia") {
$pm_pid = base64_decode($_POST['id']);

?>

<table class="table " id="example6">
	<thead>
	   <tr>
	      <th>Diagnosis</th>
	      <th>Type</th>
	      <th>Doctor</th>
	      <th>Date</th>
	   </tr>
	</thead>

	<tbody id="add_table_diagnosis">
		<?php 
		   $ResultsCase_Diagnosis = get_patient_case_dia_diagnosis_pid($DB,$pm_pid);
		   if(count($ResultsCase_Diagnosis) > 0) {
		   foreach ($ResultsCase_Diagnosis as $RowCase_Diagnosis) {
		   
		   $UmId = $RowCase_Diagnosis['um_id'];
		   $RowEnter = get_user_master_details_from_id($DB,$UmId);
   
   		?>

   			<tr>
			   <td><?php echo $RowCase_Diagnosis['diagnosis'] ?></td>
			   <td><?php echo $RowCase_Diagnosis['type'] ?></td>
			   <td><?php echo $RowEnter['um_name'] ?></td>
			   <td><?php echo date('d-m-Y', strtotime($RowCase_Diagnosis['tcd_created_date']));?></td>
			</tr>

		<?php } } else { ?>	
			<tr>
                <td colspan="4" style="text-align: center; font-weight: bold;">
                              <em>Sorry!! no any past diagnosis.</em>
                </td> 
            </tr>
		<?php } ?>

	</tbody>
</table>	

<?php } ?>