<?php

session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");

?>
<?php

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "add") {

$admit_days = $_POST['admit_days'];
$tieo_details = $_POST['tieo_details'];
$tieo_time = $_POST['tieo_time'];
$tieo_remark = $_POST['tieo_remark'];


$pm_pid = base64_decode($_POST['pm_pid']);
$pm_id = $_POST['pm_id'];
$ip_id = base64_decode($_POST['ip_id']);


$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$created_by = $row_User_Details['um_id'];

$sql = "INSERT INTO ".$DB_Prefix."inpatient_extra_order(`tieo_days`,`pm_id`,`pm_pid`,`um_id`,`tieo_details`,`tieo_time`,`tieo_remark`,`ip_id`,`tieo_created_by`) VALUES (:tieo_days,:pm_id,:pm_pid,:um_id,:tieo_details,:tieo_time,:tieo_remark,:ip_id,:tieo_created_by)"; 
$statement = $DB->prepare($sql);
$statement->bindValue(":tieo_days", $admit_days);
$statement->bindValue(":pm_id", $pm_id);
$statement->bindValue(":pm_pid", $pm_pid);
$statement->bindValue(":um_id", $created_by);
$statement->bindValue(":tieo_details", $tieo_details);
$statement->bindValue(":tieo_time", $tieo_time);
$statement->bindValue(":tieo_remark", $tieo_remark);
$statement->bindValue(":ip_id", $ip_id);
$statement->bindValue(":tieo_created_by", $created_by);
$res = $statement->execute();
$PID = $DB->lastInsertId();
if($res) {
?>
<tr id="table_tr_inp_extra_order_<?php echo $PID; ?>">
   <td><?php echo $tieo_details; ?></td>
   <td><?php echo date('h:i A', strtotime($tieo_time)); ?></td>
   <td><?php echo $tieo_remark; ?></td>
   <td><?php echo $row_User_Details['um_name']; ?></td>
   <td><a href="javascript:void(0)" class="select_edit_inpatient_extra_order" ="" title="Edit" data-id="<?php echo $PID; ?>"><i class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href='javascript:void(0)' id="delete_popup_inpatient_extra_order" data-id="<?php echo $PID; ?>" data-username="" title="Delete"><i class="fa fa-trash" style="color:red"></i></a></td>
</tr>
<?php }  } ?>

<?php if(isset($_REQUEST['do']) && $_REQUEST['do'] == "delete") {

$delete_tieo_id  = $_POST['delete_tieo_id'];
$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$delete_by = $row_User_Details['um_id'];
$Delete_Allergy = delete_inpatient_extra_order_id($DB,$delete_tieo_id,$delete_by);
echo 1;
} 
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit_pop") {

$ID = $_POST["id"];
//$return_arr=array();
$RsList = get_single_inpatient_extra_order_pid_ipid($DB,$ID);
$return_arr = array("tieo_details" => $RsList['tieo_details'],
                    "tieo_time" => $RsList['tieo_time'],
                    "tieo_remark" => $RsList['tieo_remark'],
                    "tieo_id" => $RsList['tieo_id'],
                    "created_by" => $RsList['tieo_created_by']);

echo json_encode($return_arr);	

}
?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "edit") {

$tieo_id = $_POST['tieo_id'];
$tieo_details = $_POST['tieo_details'];
$tieo_time = $_POST['tieo_time'];
$tieo_remark = $_POST['tieo_remark'];
$edit_tieo_um_id = $_POST['edit_tieo_um_id'];

$email = $_SESSION['admin_user'];
$row_Edit_User_Details = get_user_master_email($DB,$email);
$tieo_modify_by = $row_Edit_User_Details['um_id'];


$row_User_Details = get_user_master_details_from_id($DB,$edit_tieo_um_id);

$sql_Image1 = "UPDATE ".$DB_Prefix."inpatient_extra_order SET  tieo_details = :tieo_details, 
                  tieo_time = :tieo_time,
                  tieo_remark = :tieo_remark,
                  tieo_modify_by = :tieo_modify_by
                  WHERE tieo_id ='$tieo_id'";

   $statement_Image1 = $DB->prepare($sql_Image1);
   $statement_Image1->bindValue(":tieo_details", $tieo_details);
   $statement_Image1->bindValue(":tieo_time", $tieo_time);
   $statement_Image1->bindValue(":tieo_remark", $tieo_remark);
   $statement_Image1->bindValue(":tieo_modify_by", $tieo_modify_by);
   $count = $statement_Image1->execute();

if($count) {

?>
<td><?php echo $tieo_details; ?></td>
<td><?php echo date('h:i A', strtotime($tieo_time)); ?></td>
<td><?php echo $tieo_remark; ?></td>
<td><?php echo $row_User_Details['um_name']; ?></td>
<td><a href="javascript:void(0)" class="select_edit_inpatient_extra_order" ="" title="Edit" data-id="<?php echo $tieo_id; ?>"><i class="fa fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href='javascript:void(0)' id="delete_popup_inpatient_extra_order" data-id="<?php echo $tieo_id; ?>" data-username="" title="Delete"><i class="fa fa-trash" style="color:red"></i></a></td>
<?php } } ?>

<?php 

if(isset($_REQUEST['do']) && $_REQUEST['do'] == "past_dia") {
$pm_pid = base64_decode($_POST['id']);

?>

<table class="table " id="example6">
	<thead>
	   <tr>
	      <th>Diagnosis</th>
	      <th>Type</th>
	      <th>Doctor</th>
	      <th>Date</th>
	   </tr>
	</thead>

	<tbody id="add_table_diagnosis">
		<?php 
		   $ResultsCase_Diagnosis = get_patient_case_dia_diagnosis_pid($DB,$pm_pid);
		   if(count($ResultsCase_Diagnosis) > 0) {
		   foreach ($ResultsCase_Diagnosis as $RowCase_Diagnosis) {
		   
		   $UmId = $RowCase_Diagnosis['um_id'];
		   $RowEnter = get_user_master_details_from_id($DB,$UmId);
   
   		?>

   			<tr>
			   <td><?php echo $RowCase_Diagnosis['diagnosis'] ?></td>
			   <td><?php echo $RowCase_Diagnosis['type'] ?></td>
			   <td><?php echo $RowEnter['um_name'] ?></td>
			   <td><?php echo date('d-m-Y', strtotime($RowCase_Diagnosis['tcd_created_date']));?></td>
			</tr>

		<?php } } else { ?>	
			<tr>
                <td colspan="4" style="text-align: center; font-weight: bold;">
                              <em>Sorry!! no any past diagnosis.</em>
                </td> 
            </tr>
		<?php } ?>

	</tbody>
</table>	

<?php } ?>