
<?php
session_start();
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");
?>

<?php 

$email = $_SESSION['admin_user'];
$row_User_Details = get_user_master_email($DB,$email);
$Um_ID = $row_User_Details['um_id'];

$Pid = $_POST['Pid'];
$Case_Patient_Id = base64_decode($Pid);
$Results_Patient = get_single_patient_details_from_id($DB,$Case_Patient_Id);
$Ipid = $_POST['Ipid'];
$Case_InPatient_Id = base64_decode($Ipid);

$RowInPatientinfo = get_single_inpatient_details_from_pid_ipid($DB,$Case_Patient_Id,$Case_InPatient_Id);

$AdmitDate = date('Y-m-d', strtotime($RowInPatientinfo['tapm_admitting_date']));
$AdmitTime = strtotime(date('h:i A', strtotime($RowInPatientinfo['tapm_admitting_time'])));
$ShiftTime =  strtotime(date('h:i A', strtotime($Shift_Time)));

if($AdmitTime >= $ShiftTime)
{
  $AdmitRealDate = date('Y-m-d h:i A', strtotime($RowInPatientinfo['tapm_created_date']));
}

else {
  $AdmitRealDate = date('Y-m-d h:i A', strtotime('-1 day', strtotime($AdmitDate)));
}

$TimeShift = date('Y-m-d h:i A', strtotime($Shift_Time));

date_default_timezone_set('Asia/Kolkata');
//$TodayDateTime =  date('Y-m-d h:i A');
$TodayDateTime = date('Y-m-d h:i A');
$CurruntDate = date('Y-m-d');
$CurruntTime = date('h:i A');

$datediff = time() - strtotime($AdmitRealDate);

if($CurruntDate ==  $AdmitDate)
{
  $AdmitDays = round($datediff / (60 * 60 * 24)) + 1;
}

else {
  $AdmitDays = round($datediff / (60 * 60 * 24));
}

?>
<div class="box-body">
   
    <input type="hidden" id="pm_pid" name="pm_pid" value="<?php echo $Pid; ?>">
    <input type="hidden" id="pm_id" name="pm_id" value="<?php echo $Results_Patient['pm_id']; ?>">
    <input type="hidden" id="ip_id" name="ip_id" value="<?php echo $Ipid; ?>">

    <input type="hidden" id="total_admit_days" name="total_admit_days" value="<?php echo $AdmitDays; ?>">
    
    <input type="hidden" id="admit_days" name="admit_days" value="<?php echo $AdmitDays; ?>">


        <div class="col-md-12 form-group title_validation">
          <div class="col-md-5" style="text-align: right;">
             <a href="javascript:void(0)" <?php if($AdmitDays == 1) { ?> style="display: none;" <?php } ?> class="treatment_sheet_pre" data-case-p ="<?php echo $Case_Patient_Id; ?>" data-case-inp= "<?php echo $Case_InPatient_Id; ?>"><i class="fa fa-angle-left" style="font-size:30px;" aria-hidden="true"></i></a>
          </div>
          <div class="col-md-2">
             <input type="text" readonly="" class="form-control" data-case-p ="<?php echo $Case_Patient_Id; ?>" data-case-inp= "<?php echo $Case_InPatient_Id; ?>" id="vital_date" style="border-radius: 25px;text-align: center;background-color: #fff;opacity: 1;" value="<?php echo "Day: ".$AdmitDays; ?>">
          </div>
          <div class="col-md-5">
             <a href="javascript:void(0)" data-case-p ="<?php echo $Case_Patient_Id; ?>" data-case-inp= "<?php echo $Case_InPatient_Id; ?>" style="display: none;" class="treatment_sheet_next"><i class="fa fa-angle-right" style="font-size:30px;" aria-hidden="true"></i></a>
          </div>

        </div>

        <div class="col-md-12">
          <div class="box">
            
            <div class="box-header with-border">
              <h3 class="box-title col-md-8" style="padding-left: 0px;">General Order</h3>
              <h6 class="col-md-4" style="padding-right: 7px;text-align: right;">
              <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
              <a href="javascript:void(0)" id="add_inp_general_order" title="Add New"><i class="fa fa-fw fa-plus"></i></a>
              <?php } ?>
              </h6>
            </div>
            
            <div class="box-body">
              <table class="table table-bordered" id="general_order">
                <thead>
                  <tr>
                    <th>Details</th>
                    <th>Status</th>
                    <th>Order By</th>
                    <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
                    <th>Actions</th>
                    <?php } ?>
                  </tr>
                  </thead>
                  <tbody id="table_imp_doctor_general_order">
                    <?php 
                         $Results_general_order = get_all_inpatient_general_order_pid_ipid_datewise($DB,$Case_Patient_Id,$Case_InPatient_Id,$AdmitDays);
                         if(count($Results_general_order) > 0) {
                         foreach ($Results_general_order as $Row_general_order) { 
                         
                         //$RowSingleDiagnosis = get_single_case_diagnosis_id($DB,$RowTcdId);
                         $CreateBy = $Row_general_order['tigo_created_by']; 
                         $RowEnterBy = get_user_master_details_from_id($DB,$CreateBy);

                         $TigoSDays = $Row_general_order['tigo_stop_days'];
                         $TigoStatus = $Row_general_order['tigo_status'];

                         if(($TigoSDays >= $AdmitDays || $TigoSDays == "") && $TigoStatus == "Active") {

                          if($TigoSDays == $AdmitDays)
                           {
                             $Status = "Stop";
                           }
                           else {
                             $Status = "Active"; 
                           } 
                  ?>
                    <tr id="table_tr_inp_general_order_<?php echo $Row_general_order['tigo_id']; ?>">
                      <td><?php echo $Row_general_order['tigo_details']; ?></td>
                      <td><?php echo $Status; ?></td>
                      <td><?php echo $RowEnterBy['um_name']; ?></td>
                      <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
                      <td><a href="javascript:void(0)" class="select_edit_inpatient_general_order" title="Edit" data-days = "<?php echo $AdmitDays ?>" data-id="<?php echo $Row_general_order['tigo_id']; ?>"><i class="fa fa-fw fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href='javascript:void(0)' id="delete_popup_inpatient_general_order" data-id="<?php echo $Row_general_order['tigo_id'] ?>" data-username="" title="Delete"><i class="fa fa-trash" style="color:red"></i></a></td>
                      <?php } ?>
                    </tr>
                  <?php } } } else  { ?>
                      <tr class="dataTables_empty">
                             <td colspan=6" style="text-align: center; font-weight: bold;">
                                <em>Sorry!! no any General Order.</em>
                             </td> 
                      </tr>
                  
                  <?php } ?> 
                </tbody>
              </table>
            </div>
            
          </div>
        </div>

        <div class="col-md-12">
          <div class="box">
            
            <div class="box-header with-border">
              <h3 class="box-title col-md-8" style="padding-left: 0px;">Medications</h3>
              <h6 class="col-md-4" style="padding-right: 7px;text-align: right;"><a href="javascript:void(0)" id="add_imp_medications" title="Add New"><i class="fa fa-fw fa-plus"></i></a></h6>
            </div>
            
            <div class="box-body">
              <table class="table table-bordered" id="medications">
                <thead>
                  <tr>
                    <th>Medicine</th>
                    <th>Remark</th>
                    <th>Duration</th>
                    <th>Order By</th>
                    <th>Status</th>
                    <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
                    <th>#</th>
                    <?php } ?>
                  </tr>
                </thead>
                <tbody id="add_table_inp_medication_treatment">  
                  <?php 
                         $today = date('Y-m-d');
                         $ResultsMedi_Treat = get_all_inpatient_medication_treatment_pid_ipid_date($DB,$Case_Patient_Id,$Case_InPatient_Id,$AdmitDays);
                         if(count($ResultsMedi_Treat) > 0) {
                         foreach ($ResultsMedi_Treat as $RowMedi_Treat) { 
                         
                         $medicine_name =  $RowMedi_Treat['timt_tmm_type']." ".$RowMedi_Treat['timt_tmm_brand_name']."(".$RowMedi_Treat['timt_tmm_strength']." ".$RowMedi_Treat['timt_tmm_unit']. ")";

                         $CreateBy = $RowMedi_Treat['timt_created_by']; 
                         $RowEnterBy = get_user_master_details_from_id($DB,$CreateBy);

                         

                         if($RowMedi_Treat['timt_tmm_days_type'] == "Custom Days")
                         {
                          $Duration = $RowMedi_Treat['timt_tmm_days']." Day(s)";
                          $DayCal = ($AdmitDays - $RowMedi_Treat['timt_days']) + 1;
                          $ConDays = $RowMedi_Treat['timt_tmm_days']; 
                          $Total_Days = $DayCal."/".$RowMedi_Treat['timt_tmm_days'];
                          $FinishedDaysMedi = $RowMedi_Treat['timt_days'] + $RowMedi_Treat['timt_tmm_days'];
                         }
                         else {
                          $Duration = $RowMedi_Treat['timt_tmm_days_type'];
                          $DayCal = $RowMedi_Treat['timt_stop_day'];
                          $ConDays = $AdmitDays;
                          $FinishedDaysMedi = "";
                          $Total_Days = "";
                         } 
                  ?>

                  <?php 

                          if($RowMedi_Treat['timt_status'] == "Stop")
                            {
                                $Status = "Stop";
                                $FinishedDays = "<br />Days: ".$DayCal;
                                // if($DayCal == $AdmitDays)
                                //  {
                                   
                                   
                                //  }
                                //  else {
                                    
                                //     $FinishedDays = ""; 
                                //  } 

                            } 

                            else {
                                if($DayCal > $ConDays)
                                {
                                   $Status = "Course Finished";
                                   $FinishedDays = "<br />Days: ".$FinishedDaysMedi;
                                }
                                else {
                                     $Status = "On Going"; 
                                     $FinishedDays = "";
                                }
                            } 

                  ?>
                    
                  <tr id="table_tr_inp_medication_treatment_<?php echo $RowMedi_Treat['timt_id']; ?>">
                    <td><?php echo $medicine_name; ?></td>
                    <td><?php echo $RowMedi_Treat['timt_tmm_custom']; ?><br /><?php echo $RowMedi_Treat['timt_tmm_time']; ?></td>
                    <td><?php //echo $Duration; ?>
                    
                    <?php if($RowMedi_Treat['timt_tmm_days_type'] == "Custom Days")
                         {  
                    ?>

                    <?php echo $Duration; ?><br /><?php echo "<b>Start Date: </b>".date('d-m-Y', strtotime($RowMedi_Treat['timt_created_date']));; ?><?php if($Status == "On Going") { ?><br /><?php echo $Total_Days; ?> <?php } ?>
                    
                    <?php } else { ?>
                    
                    <?php echo $Duration; ?><br /><?php echo "<b>Start Date: </b>".date('d-m-Y', strtotime($RowMedi_Treat['timt_created_date']));; ?>

                    
                    <?php } ?>

                    </td>
                    <td><?php echo $RowEnterBy['um_name']; ?></td>
                    <td><?php echo $Status.$FinishedDays; ?></td>
                    <td>
                    <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
                    <a href="javascript:void(0)" class="select_edit_inpatient_medication_treatment" ="" title="Edit" data-id="<?php echo $RowMedi_Treat['timt_id']; ?>"><i class="fa fa-fw fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href='javascript:void(0)' id="delete_popup_inpatient_medication_treatment" data-id="<?php echo $RowMedi_Treat['timt_id']; ?>" data-username="" title="Delete"><i class="fa fa-trash" style="color:red"></i></a>
                    <?php } ?>
                    </td>
                   
                    
                  </tr>

                  

                  <?php } } else  { ?>
                      <tr class="dataTables_empty">
                             <td colspan="7" style="text-align: center; font-weight: bold;">
                                <em>Sorry!! no any Medications.</em>
                             </td> 
                      </tr>
                  
                  <?php } ?>

                </tbody>  
                  
              </table>
            </div>
            
          </div>
        </div>

        <div class="col-md-12">
          <div class="box">
            
            <div class="box-header with-border">
              <h3 class="box-title col-md-8" style="padding-left: 0px;">Investigations</h3>
              <h6 class="col-md-4" style="padding-right: 7px;text-align: right;"><a href="javascript:void(0)" id="add_inpatient_investigation" title="Add New"><i class="fa fa-fw fa-plus"></i></a></h6>
            </div>
            
            <div class="box-body">
              <table class="table table-bordered" id="treat_inv">
                <thead>
                  <tr>
                    <th>Investigations</th>
                    <th>Remark</th>
                    <th>Enterd By</th>
                    <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
                    <th>Actions</th>
                    <?php } ?>
                  </tr>
                  </thead>
                  <tbody id="add_table_inp_investigation">
                    <?php 
                         $Results_investigation = get_all_inpatient_investigation_pid_ipid_datewise($DB,$Case_Patient_Id,$Case_InPatient_Id,$AdmitDays);
                         if(count($Results_investigation) > 0) {
                         foreach ($Results_investigation as $Row_investigation) { 
                         
                         //$RowSingleDiagnosis = get_single_case_diagnosis_id($DB,$RowTcdId);
                         $CreateBy = $Row_investigation['tii_created_by']; 
                         $RowEnterBy = get_user_master_details_from_id($DB,$CreateBy);
                    ?>
                    <tr id="table_tr_inp_investigation_<?php echo $Row_investigation['tii_id']; ?>">
                      <td><?php echo $Row_investigation['tii_details']; ?></td>
                      <td><?php echo $Row_investigation['tii_remark']; ?></td>
                      <td><?php echo $RowEnterBy['um_name']; ?></td>
                      <?php if($RowInPatientinfo['tapm_discharge'] == 0) { ?>
                      <td><a href="javascript:void(0)" class="select_edit_inpatient_investigation" ="" title="Edit" data-id="<?php echo $Row_investigation['tii_id']; ?>"><i class="fa fa-fw fa-edit"></i></a>&nbsp;&nbsp;&nbsp;<a href='javascript:void(0)' id="delete_popup_inpatient_investigation" data-id="<?php echo $Row_investigation['tii_id'] ?>" data-username="" title="Delete"><i class="fa fa-trash" style="color:red"></i></a></td>
                      <?php } ?>
                    </tr>
                  <?php } } else  { ?>
                      <tr class="dataTables_empty">
                             <td colspan=6" style="text-align: center; font-weight: bold;">
                                <em>Sorry!! no any Investigations.</em>
                             </td> 
                      </tr>
                  
                  <?php } ?> 
                </tbody>
              </table>
            </div>
            
          </div>
        </div>
</div>