<style type="text/css">
.dropdown-menu
  {
  z-index: 1051 !important;
  }
.scrollbar
{
    display: block;
    height: 275px;
    overflow-x: auto;
    border-left: 2px solid #f4f4f4;
    border-bottom: 2px solid #f4f4f4;
    padding-left: 5px;


}

#style-7::-webkit-scrollbar-track
{
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
  border-radius: 10px;
  background-color: #F5F5F5;
}

#style-7::-webkit-scrollbar
{
  width: 6px;
  background-color: #F5F5F5;
}

#style-7::-webkit-scrollbar-thumb
{
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
  background-color: #3c8dbc;
}

/*
 *  STYLE 3
 */

</style>

<!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Daily
        <small>Nurse Notes</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="javascript:;" id="add_inp_nurse_daily_notes"><i class="fa fa-plus"></i>Add Notes</a></li>
      </ol>
    </section>
    <section class="content">
      <div class="row" id="table_imp_nurse_daily_notes">
        
        <?php 
          $Counter= 0;
          $ResultsNotes= get_all_inpatient_nurse_notes_pid_ipid($DB,$Case_Patient_Id,$Case_InPatient_Id);
          if(count($ResultsNotes) > 0) {
          foreach ($ResultsNotes as $Row_Notes) { 
          $Counter++;
          $CreateBy = $Row_Notes['tinn_created_by']; 
          $RowEnterBy = get_user_master_details_from_id($DB,$CreateBy);
        ?> 

        <div class="col-md-12" id="table_tr_nurse_extra_notes_<?php echo $Row_Notes['tinn_id']; ?>">
          <div class="box box-solid">
            <div class="box-header with-border">
              <h3 class="box-title">Seen By: <?php echo  $RowEnterBy['um_name']; ?> &nbsp; &nbsp; Date: <?php echo date('d/m/Y', strtotime($Row_Notes['tinn_date']));; ?>&nbsp; &nbsp; Time: <?php echo date('h:i A', strtotime($Row_Notes['tinn_time'])); ?></h3>
              <?php if($Um_ID == $CreateBy && $RowInPatientinfo['tapm_discharge'] == 0) { ?>
              <a style="float: right;" href="javascript:;" class="select_edit_nurse_extra_notes" data-id="<?php echo $Row_Notes['tinn_id']; ?>"><i class="fa fa-edit"></i>Edit</a>&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;
              <?php } ?>
              <a style="float: right;" href="javascript:;"><i class="fa fa-print"></i>Print</a>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <?php echo  $Row_Notes['tinn_notes']; ?>
              
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>

        <?php } } else { ?>

        <div class="col-xs-12 dataTables_empty">
          
          <div class="box">
            <div class="box-body" style="text-align: center; font-weight: bold">
              <p>No Notes Found</p>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>

        <?php } ?>

      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
 
<!-- ./wrapper -->
<div class="modal fade" id="modal_add_inp_nurse_daily_notes">
          
        <form role="form" id="new_nurse_notes_form_add" action="action/action_nurse_notes_template.php?do=add" method="post">

          <div class="modal-dialog" role="form" style="width: 700px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close btn-danger-close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Add New Notes</h4>
              </div>

                <input type="hidden" id="pm_pid" name="pm_pid" value="<?php echo $Case_Patient_Id1; ?>">
                <input type="hidden" id="pm_id" name="pm_id" value="<?php echo $Results_Patient['pm_id']; ?>">
                <input type="hidden" id="ip_id" name="ip_id" value="<?php echo $Case_InPatient_Id1; ?>">
                
                <div class="box-body">
                  
                  <div class="col-md-9" style="min-height: 350px;">
                    
                    <div class="col-md-12" style="margin-bottom: 5px">
                      <div class="form-group col-md-12 title_validation">
                        <label for="exampleInputEmail1">Notes</label>
                        <textarea class="form-control auto_Nurse_Notes" id="popup_nurse_notes" name="popup_notes" rows="14" placeholder=""></textarea>
                      </div>
                    </div>

                    <div class="col-md-12" style="margin-bottom: 5px">
                      <div class="form-group col-md-6 title_validation">
                        <label for="exampleInputEmail1">Date</label>
                        <input type="text" class="form-control calender" id="tinn_date" name="tinn_date" placeholder="Date">
                      </div>

                      <div class="form-group col-md-6 title_validation">
                        <label for="exampleInputEmail1">Time</label>
                        <input type="time" class="form-control col-md-12" id="tinn_time" name="tinn_time" placeholder="Time">
                      </div>

                    </div>
                    
                    <div class="col-md-12" style="margin-bottom: 5px">
                      <div class="col-md-6" style="padding-top: 7px;">
                        <label><input type="checkbox" name="pop_check" value="1">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Add Template </label>
                      </div>
                      <div class="col-md-6" style="padding-top: 2px;">
                        <input type="text" class="form-control" id="popup_template_title" name="popup_template_title" placeholder="Template Name">
                      </div>
                    </div>

                  </div>

                  <div class="col-md-3 dual-list" style="min-height: 350px;">
                      <div class="input-group">
                          <span class="input-group-addon glyphicon glyphicon-search"></span>
                          <input type="text" name="SearchDualList" class="form-control" id="chief_search" placeholder="Search">
                      </div>
                      
                      <div class="scrollbar"  id="style-7">
                        <div class="list-unstyled">
                          <ul class="list-group" id="pre_nurse_notes_template">
                          
                          </ul>  
                        </div>
                      </div>
                  </div>

                  <div class="col-md-12" style="text-align: center; border-top: 2px solid #f4f4f4; padding-top: 5px;">
                    <button type="submit" id="submit_button_nurse_notes_template" class="btn btn-primary">Submit</button>
                    <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Cancel</button>
                    <button type="reset" class="btn btn-warning"  aria-label="Close">Reset</button>
                    <span class="err_register" style="display: none;"><img src="../img/loaderIcon.gif"></span>
                    <br />
                    <span class="help-block" style="margin-top: 5px; color: red;"></span>
                  </div>

                </div>

                
                
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
          </form>
</div>
<div class="modal fade" id="modal_edit_nurse_extra_notes">
          <div class="modal-dialog" role="form" style="width: 400px;">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" style="text-align: center;">Edit nurse Notes</h4>
              </div>
                <div class="box-body">
                  <div class="form-group col-md-12 title_validation">
                    <input type="hidden" name="edit_tinn_id" id="edit_tinn_id">
                    <input type="hidden" name="edit_tinn_um_id" id="edit_tinn_um_id">
                    <label for="exampleInputEmail1">Content</label>
                    <textarea class="form-control" id="edit_tinn_notes" rows="5" placeholder=""></textarea>
                  </div>

                  <div class="form-group col-md-6 title_validation">
                        <label for="exampleInputEmail1">Date</label>
                        <input type="text" class="form-control calender" id="edit_tinn_date" name="tinn_date" placeholder="Date">
                  </div>

                  <div class="form-group col-md-6 title_validation">
                        <label for="exampleInputEmail1">Time</label>
                        <input type="time" class="form-control col-md-12" id="edit_tinn_time" name="tinn_time" placeholder="Time">
                  </div>
                  
                </div>

                <div class="box-footer" style="text-align: center;">
                  <button type="button" id="submit_edit_nurse_extra_notes" class="btn btn-primary">Submit</button>
                  <button type="button" class="btn btn-danger" data-dismiss="modal" aria-label="Close">Cancel</button>
                  <span class="err_register" style="display: none;"><img src="img/loaderIcon.gif"></span>
                  <br />
                  <span class="help-block" style="margin-top: 5px; color: red;"></span>
                </div>
                
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
</div>


