<style type="text/css">

.scrollbar
{
    display: block;
    height: 112px;
    overflow-x: auto;

}

#style-7::-webkit-scrollbar-track
{
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
  border-radius: 10px;
  background-color: #F5F5F5;
}

#style-7::-webkit-scrollbar
{
  width: 6px;
  background-color: #F5F5F5;
}

#style-7::-webkit-scrollbar-thumb
{
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
  background-color: #3c8dbc;
}

/*
 *  STYLE 3
*/

  

</style>

<!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Master Data 
        <small>Inpatient Master Data</small>
      </h1>
    </section>
<?php
$hos_id = $_SESSION['hm_id'];
$Row_atd_details = get_all_discharged_patient_from_hmid($DB,$hos_id);
$count = count($Row_atd_details);
?>
    
    <!-- Main content -->
    <section class="content">
      <div class="row">        
         <div class="col-md-12">
          <div class="box box-default">
            <div class="box-header with-border">
              <label>Total Admissions : <?php echo $count; ?> </label>              
            </div>
            <div class="box-body">
              <div id="data_tbl" >
                  <table class="table table-bordered table-striped dataTable no-footer" role="grid" aria-describedby="example2_info">
                      <thead>
                      <tr>
                        <th>SR.NO</th>
                        <th>PATIENT NAME</th>
                        <th>PATIENT ID</th>
                        <th>INPATIENT NUMBER</th>
                        <th>ADMITTING DOCTOR</th>
                        <th>WARD/BED</th>
                        <th>ADMIT DATE</th>
                        <th>DISCHARGE DATE</th>
                        <th>TYPE OF DISCHARGE</th>                                  
                      </tr>
                      </thead>
                      <tbody>
                      <?php
                         $Counter = 0;
                         if(count($Row_atd_details) > 0){
                         foreach ($Row_atd_details as $Results_atd) {
                          //print_r($Results_atd);
                            $Counter++;                   
                             $tapm_id = $Results_atd['tapm_id'];
                             $p_id = $Results_atd['pm_id'];
                             $pid = $Results_atd['pm_pid'];
                             $Case_Patient_Id1 = base64_encode($pid);
                             $in_pid = $Results_atd['in_pid'];
                             $Case_InPatient_Id1 = base64_encode($in_pid);
                             $admit_room_id = $Results_atd['twrm_id'];
                             $admit_date1 = $Results_atd['tapm_admitting_date'];
                             $admit_date = date('d/m/Y',strtotime($admit_date1));
                             $discharge_date1 = $Results_atd['tapm_modify_date'];
                             $discharge_date = date('d/m/Y',strtotime($discharge_date1));
                             $admit_doctor_id = $Results_atd['tapm_admitting_doctor'];
                             $dp_id = $Results_atd['dp_id'];
                             $contact = $Results_atd['tapm_contact'];
                             $readmit = $Results_atd['tapm_readmit'];
                             $discharge = $Results_atd['tapm_discharge'];
                             $RowDischarge = get_single_dischrage_type($DB,$discharge);
                             $patient_details = get_single_patient_details_from_id($DB,$pid);
                             
                             $fname = $patient_details['pm_first_name'];
                             $mname = $patient_details['pm_middle_name'];
                             $lname = $patient_details['pm_last_name'];
                             $patient_name = $fname." ".$mname." ".$lname;

                             $department_details = get_department_details_from_id($DB,$dp_id);
                             $doctor_details = get_user_master_details_from_id($DB,$admit_doctor_id);
                             $get_room_details = get_single_room_data_from_id($DB,$admit_room_id);
                             $room_status = $get_room_details['twrm_status'];
                             
                             $id = base64_encode($pid);
                             $ip_id = base64_encode($in_pid);
                      ?>
                      <tr>
                        <td><?php echo $Counter; ?></td>
                        <td><?php echo $patient_name; ?></td>
                        <td><?php echo $pid; ?></td>
                        <td>
                          
                          <?php if(in_array('3', $ArrayModuleMenu)) { ?>

                          <a href="<?php echo $Inpatient_Site_Url; ?>inpatient_profile.php?id=<?php echo $Case_Patient_Id1; ?>&ip_id=<?php echo $Case_InPatient_Id1; ?>"><?php echo $in_pid; ?></a>

                          <?php } else { ?>
                            <?php echo $in_pid; ?>
                          <?php } ?>  

                          </td>
                        <td><?php echo $doctor_details['um_name']; ?></td>
                        <td><?php echo $get_room_details['room_name']; ?></td>
                        <td><?php echo $admit_date; ?></td>
                        <td><?php echo $discharge_date; ?></td>
                        <td><?php echo $RowDischarge['tidt_type']; ?></td>                        
                      </tr>
                     <?php } } else { ?>
                        <tr>
                           <td colspan="9" style="text-align: center; font-weight: bold;">
                              <em>Sorry!! you do not have inpatient.</em>
                           </td> 
                        </tr>
                      <?php } ?>
                     </tbody>
                  </table>
              </div>              
            </div>
            </div>  
              </div>      
    </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
 
<!-- ./wrapper -->