<?php
include("../../include/db_con.php");

include("../../function.php");

include("../../function_atd.php");

include("../../function_reception.php");

include("../../function_casemanager.php");

include("../../function_settings.php");

include("../../function_inpatient.php");

include("../../function_ward.php");

include("../../function_pharmacy.php");
?>
<?php
$term = $_GET["term"];
$json=array();
$RsList = get_atd_patient_from_id($DB,$term);



foreach ($RsList as $key => $RowList) {
	$in_pid = $RowList['in_pid'];
	$pm_pid = $RowList['pm_pid'];
	$dp = $RowList['dp_id'];
	$department_details = get_department_details_from_id($DB,$dp);
	$dp_name = $department_details['dp_name'];

	$admitting_doc = $RowList['tapm_admitting_doctor'];
	$doctor_details = get_user_master_details_from_id($DB,$admitting_doc);
	$a_doc = $doctor_details['um_name'];
	
	$ward = $RowList['twm_id'];
	$get_ward_details = get_single_ward_data_from_id($DB,$ward);
	$w_name = $get_ward_details['ward_name'];

	$room = $RowList['twrm_id'];
	$get_room_details = get_single_room_data_from_id($DB,$room);
	$r_name = $get_room_details['room_name'];

$patient_data = get_single_patient_details_from_id($DB,$pm_pid);	
$Pm_full_name = $patient_data['pm_first_name']." ".$patient_data['pm_middle_name']." ".$patient_data['pm_last_name'];
$Age = (date('Y') - date('Y',strtotime($patient_data['pm_dob'])));
$rm_id = $patient_data['rm_id'];
$pid = $patient_data['pm_id'];


$json[]=array(
'pname'=>$Pm_full_name,
'label'=>$Pm_full_name."  ".$patient_data['pm_contact_no']."  ".$patient_data['pm_pid']."  ".$Age,	
'in_pid'=>$in_pid,
'pid'=> $patient_data['pm_pid'],
'gen' => $patient_data['pm_gender'],
'phone'=>$patient_data['pm_contact_no'],
'dob'=>$patient_data['pm_dob'],
'age'=>$Age,
'email'=>$patient_data['pm_email'],
'address'=>$patient_data['pm_address'],
'department'=>$dp_name,
'admitting_doc'=>$a_doc,
'ward'=>$w_name,
'room'=>$r_name,
);	

}
echo json_encode($json);	
?>